<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

require_once CLASS_DIR . '/OsobaClass.php';

function smarty_function_newsleter_quit_link($params, &$smarty ){
    $smarty_email = $smarty->get_template_vars('email');

    $email = (empty( $params['email'] ) ? $smarty_email : $params['email']);

    if ( !$email ) {
        $contact = $smarty->get_template_vars('contact');
        if( !empty($contact['login'])  ){
            $email = $contact['login'];
        }else if ( !empty($contact['email']) ){
            $email = $contact['email'];
        }
    }

    $url = OsobaClass::newsletter_url($email, true);

    if ( !empty($email) ) {
        echo 'Jeli chcesz zrezygnowa z newslettera <a href="'.$url.'">kliknij tutaj</a>.';
    }
}


