/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

function AjaxContent( content, options ){
    var $ajaxLoader = null, self = this;

    this.$content = $(_target(content));

    if ( options.target ) {
        this.$target = $(_target(options.target));
    } else {
        this.$target = this.$content;
    }

    if ( options.name ){
        this.name = options.name;
    } else {
        this.name = this.$content.attr('rel');
    }

    if ( !this.name ) {
        this.name = this.$content.attr('id');
    }

    if ( !this.name ) {

    }

    var rel = this.name.split('.');
    this.foreignKey = (rel.length > 0 ) ? rel[rel.length-1] : '';

    //tablica zawierajaca zaznaczone elementy
    if( options.selected ){
        this.selected = options.selected;
    }else{
        this.selected = [];
    }

    if( options.records ){
        this.records = options.records;

        if( !options.metadata ){
            options.metadata = true;
        }
    } else {
        this.records = {};
    }

    if ( options.metadata ) {
        self.metadata = {
           type: 'class'
        };

        if ( typeof(options.metadata) == 'object' ) {
            self.metadata = $.extend(self.metadata, options.metadata);
        }
    }

    if ( !options.dialog ) {
        options.dialog = this.name + 'Dialog';
    }

    if( !options.dialogOptions ) {
        options.dialogOptions = {}
    }

    this.$dialog = $(_target(options.dialog));

    if ( !this.$dialog.length ){
        this.$dialog = $('<div>').appendTo( document.body );
        this.$dialog.attr('id', options.dialog );
    }

    options.dialogOptions = $.extend({
        modal: true,
        autoOpen : false,
        resizable:true,
        draggable: true,
        buttons : {
            'Anuluj' : function(){
                self.$dialog.dialog('close');
            },
            'Zapisz' : function(){
                self.$dialog.find('form').submit();
            }
        }
    }, options.dialogOptions);

    this.$dialog = $(_target(options.dialog)).dialog(options.dialogOptions)

    if( options.setup && typeof(options.setup) == 'function' ){
        this.setupCallback = options.setup;
    }else{
        this.setupCallback = null;
    }

    this.clicked = false;

 /*************************************************************************************************/
    this.ajaxOptions = {
        'dataType' :  'html',

        'success' : function(data){
            self.clicked = false;

            _hideAjaxLoading();

            self.$target.html(data).css({
                'opacity' : 1
            });

            var data = self.$target.data('AjaxContent');
            if( !data ) {
                data = new Object();
            }
            data.url = this.url;
            self.$target.data('AjaxContent', data);

            self.setup(self.$target);
        },

        'error' : function(){
            self.clicked = false;

            _hideAjaxLoading();
            //print_message( 'Przez serwer zostaa zwrcona nieprawidowa odpowied' );
            console.log( 'Przez serwer zostaa zwrcona nieprawidowa odpowied' );
        },

        'beforeSend' :  function() {
            _showAjaxLoading(self.$target);

            self.$target.css({
                'opacity' : 0.6
            });
        }
    }

/**************************************************************************************************/
    this.onselect = function( event ){
        var checked = false, data = null;
        if ( arguments.length > 1  ) {
            //jest odpalne przez trigger i wykona sie wczesniej ni
            checked = !this.checked;
        } else{
            checked = this.checked;
        }

        var id = parseInt(this.value), record_index = -1;
        if ( id > 0 ) {
            if ( checked ) {
                self.selected.qpush(id);
                if ( self.metadata ) {
                    data = $(this).parents('tr').metadata(self.metadata);
                    data.id = id;
                    self.records[id] = data;
                }

                //console.log('Dodaje: ' + id + ' length: ' + self.selected.length )
            } else {
                record_index = self.selected.binarySearch(id);

                if ( record_index != -1 ) {
                    self.selected.splice(record_index, 1);

                    if ( self.records && typeof(self.records[id]) == 'object' ){
                        delete self.records[id];
                    }
                }
                //console.log('Usuwam: ' + id + ', index: ' + record_index + ', length: ' + self.selected.length );
            }
        }
    }
    function dialogSubmitForm(e){
        e && e.preventDefault();

        var $dialog = self.$dialog;

        $(this).ajaxSubmit({
            'dataType' :  'html',
            'success' : function( data ){
                _hideAjaxLoading();

                if ( data.substr(0,1) == '{' && data.substring( data.length-1 ) == '}'  ) {
                    try{
                        json = eval('(' + data + ')')
                        data = json;
                    }catch( e ){}
                }

                if ( data.message ) {
                    $dialog.dialog( 'option', 'disabled', false );

                    if ( data.message.error || data.message.type == 'error' ) {
                        alert(data.message.body);
                    } else {
                        $dialog.dialog('close');
                        self.reload();
                        
                        alert(data.message.body);
                    }
                } else {
                    $dialog.html(data);
                    self.$dialog.find('div.btns').hide();
                    $dialog.find('form').submit( dialogSubmitForm );

                    $dialog.dialog( 'option', 'disabled', false );
                }
            },

            'error' : function(){
                _hideAjaxLoading();

                $dialog.dialog( 'option', 'disabled', false );

                //print_message( 'Przez serwer zostaa zwrcona nieprawidowa odpowied' );
                console.log( 'Przez serwer zostaa zwrcona nieprawidowa odpowied' );
            },

            'beforeSend' :  function() {
                _showAjaxLoading();

                $dialog.dialog( 'option', 'disabled', true);
            }
        });

        return false;

    }
    this.setup = function ( $target ){
        if ( !$target ) {
            $target = this.$target;
        }

        if ( this.setupCallback ) {
            this.setupCallback($target);
        }

        var $strona = $target.find("#strona_input").unbind('blur').unbind('change').focus(function(){
            $(this).data('value', this.value);
        }).blur(function(){
            if ( this.value && this.value != $(this).data('value') ){
                $(this.form).submit();
            }
        });

        if ( $strona.length > 0 ) {
            $strona[0].onblur = function(){};
            $strona[0].onchange = function(){};
        }

        $target.find("form").submit(function( e ){
            e && e.preventDefault();

            $(this).ajaxSubmit(self.ajaxOptions);

            return false;
        });

        $target.find("a").click(function( e ){
            e.preventDefault();

            if ( $(this).hasClass('dialog') ){
                var t = $(this).attr('title');

                self.$dialog.load($(this).attr('href'), function( ) {
                    self.$dialog.dialog('option', 'title', t);
                    self.$dialog.find('div.btns').hide();

                    var $dialog = self.$dialog;

                    self.$dialog.find('form').submit( dialogSubmitForm );

                    self.$dialog.dialog('open');
                });
            } else {
                if ( $(this).attr('onclick') || !this.href || this.href.substr(0,1) == '#' ){
                    return false;
                }

                if ( self.clicked ) {
                    return false;
                }

                self.clicked = true;

                $.ajax( $.extend( {'url' : $(this).attr('href') }, self.ajaxOptions) );
            }

            return false;
        });
    }

    this.reload = function (){
        var data = this.$target.data('AjaxContent');

        if ( data.url ) {
            $.ajax( $.extend( {'url' : data.url }, self.ajaxOptions) );
        }
    }

    if ( options.load ) {
        $.ajax( $.extend( {'url' : options.load }, self.ajaxOptions) );
    } else{
        this.setup(this.$content);
    }

    function _target(target){
        if ( typeof(target) == 'string' ) {
            if( target.substr(0, 1) != '#' ) {
                target = '#' + target;
            }
        }

        return target;
    }

    function _showAjaxLoading ( obj ) {
        if ( !$ajaxLoader || !$ajaxLoader.length ) {
            $ajaxLoader = $('#ajaxLoader');

            if ( $ajaxLoader.length == 0 ) {
                $('body').append(
                    $ajaxLoader = $('<div id="ajaxLoader" style="position: absolute" class="loader"></div>').hide()
                );
            }
        }

        var opts = {
            'at' : 'center',
            'my' : 'center'
        };

        if ( obj ) {
            opts.of = obj;
        }
        $ajaxLoader.show();
        $ajaxLoader.position(opts);
    }

    function _hideAjaxLoading ( ) {
        if ( $ajaxLoader && $ajaxLoader.length ) {
            $ajaxLoader.hide();
        }
    }

    function pr ( obj, name, indent ) {
        var output = '', space = '', i = 0, o;

        if ( !indent ) {
            indent = 0;
        }

        if ( !name ) {
            name = '';
        }

        for ( i = 0; i < indent; i++ ) {
            space += "\t";
        }

        if ( typeof(obj) == 'object' ) {
            for ( o in obj ){
                //output += pr(obj[o], o + ':', indent + 1);
                output += space + o + ':' + obj[o]  + "\n";
            }
        } else {
            output += space + name + obj;
        }

        return output;
    }
}

$(function(){
    if ( $('#wartosciCechLink').length ) {
        var cechaWartosci = new AjaxContent( '#cechaWartosciDiv', {
            'load' : $('#wartosciCechLink').attr('href'),
            dialogOptions: {
                width: 640,
                height: 360
            }
        });
    }

});