
function print_message(body, type){
    if ( typeof arguments[0] == 'object' ) {
        if ( body.message ) {
            if ( body.message.type ) {
                type = body.message.type;
            }

            var message = body.message.body;
            if ( body.error ) {
                type = 'error';

                if ( body.object ) {
                    message = 'Wystpiy bdy: '+"\n";
                    for( var err in body.object ){
                        message +=  body.object[ err ] + "\n";
                    }

                }
            }
            body = message;
        } else {
            type = body.type;
            body = body.body;
        }
    }

    alert( ((type == 'error')? 'Bd' : 'Informacja') + "\n\n" + body );
}

function formSetValues( form, data, opcje ) {
    var $form = $(form), el = '';

    if ( typeof(opcje) == 'undefined' ){
        opcje = {};
    }

    if ( typeof(opcje) != 'object' ){
        opcje = {'clear' : opcje};
    }

    opcje  = $.extend({
        'clear' : false,
        'prefix' : '',
        'sufix' : ''
    }, opcje);

    if ( opcje.clear ) {
        if ( typeof(opcje.clear) == 'object' ) {
            opcje.clear.clearFields();
            //console.log( data );
//                for( var i = 0; i < opcje.clear.length; i++ ){
//                    console.log( (i+1) + '. ' + opcje.clear[i].name );
//                }
        } else if ( typeof(opcje.clear) == 'string' ) {
            $form.find(opcje.clear).clearFields();
        }else{
            $form.clearForm();
        }

        $form.find('input[title]').each(function(){
            if( (!this.value || this.value == '') && this.title ){
                this.value = this.title;
            }
        });
    }

    if ( typeof(data) == 'object' ){
        for ( var f in data ) {
            el = opcje.prefix + f + opcje.sufix;
            //console.log('el: ' + el + ' = ' + data[f] );
            if ( typeof(data[f]) == 'object' ) {
                formSetValues(form, data[f], {
                    'prefix' : el + '[',
                    'sufix' : ']'
                });
            } else if ( form.elements[el] ) {
                if ( form.elements[el].type == 'checkbox' ) {
                    form.elements[el].checked = (data[f] > 0);
                } else {
                    $(form.elements[el]).val(data[f]);
                }
            }
        }
    }

}

function object_deflatte ( fData ) {
    var object = new Object(), deflatte = {}, pos, k, p;

    for ( var f in fData ) {
        pos = f.indexOf('[');

        if ( pos > -1 ) {
            k = f.substring(0, pos);
            p = f.substring(pos + 1, f.indexOf(']') );

            if ( p ) {
                if ( typeof(object[k]) == 'undefined' ) {
                    object[k] = {};
                }

                object[k][p] = fData[f];
            } else {
                if ( typeof(object[k]) == 'undefined' ) {
                    object[k] = [];
                }

                object[k].push(fData[f]);
            }

            //console.log('[' + k + '][' + p + ']');
            if ( p.indexOf('[') > -1 && typeof(deflatte[k]) == 'undefined' ){
                deflatte[k];
            }
        } else {
            object[f] = fData[f];
        }
    }

    for ( k in deflatte ) {
        object[k] = object_deflatte( object[k] );
    }

    return object;
}

function formGetValues( form ) {
    var $form = $(form), data = new Object();

    var some_data = $form.find("input, select").map(function(){
        return {'name': $(this).attr('name'), 'value': ( this.type && (this.type == 'checkbox') ) ? (  this.checked ? this.value : 0) : $(this).val()};
    }).get();

    for ( var i = 0; i < some_data.length; i++  ) {
        if ( some_data[i].name ) {
            data[some_data[i].name] = some_data[i].value;
        }
    }

    data = object_deflatte( data );

    //console.log(data);
    return data;
}

/**************************************************************************************************/

function cennikImportMarzaHandler(){
    if( this.value == 1 ){
        $('#cennik-import-narzut-row').slideUp('slow',function(){
            $('#cennik-import-marza-row').slideDown('slow');
        });
    } else {
        $('#cennik-import-marza-row').slideUp('slow',function(){
            $('#cennik-import-narzut-row').slideDown('slow');
        });
    }
}

function  cennikImportCenaHandler (){
    if( raks_ceny && typeof(raks_ceny[this.value]) == 'object' ){
        var cena = raks_ceny[this.value];

        if( raks_waluty && raks_waluty[cena.WALUTA] ){
            $('span.waluta').text(raks_waluty[cena.WALUTA].KOD);
        }
    }
}

function cennikImportGrupaClick( id, nazwa ){
    $('#CENNIK_IMPORT_TOWAR_GRUPA').val(id);
}

function cennik_import_producent_onreturn ( id, nazwa ) {
//    console.log('Producent: ' + id );
//    console.log(arguments);
    $('#CENNIK_IMPORT_PRODUCENT_ID').val(id);
    $('#CENNIK_IMPORT_PRODUCENT_NAZWA').val(nazwa);
}

function cennik_import_dostawca_onreturn ( id, nazwa ) {
//    console.log('Dostawca: ' + id );
//    console.log(arguments);
    $('#CENNIK_IMPORT_DOSTAWCA_ID').val(id);
    $('#CENNIK_IMPORT_DOSTAWCA_NAZWA').val(nazwa);
}

function cennik_import_producent_update_more( row ) {
    var item_id = $(row).find('td:first').attr('item_id')
    //console.log('item_id: ' + item_id);
    $('#CENNIK_IMPORT_PRODUCENT_ID').val(item_id);
}

function cennik_import_dostawca_update_more( row ) {
    var item_id = $(row).find('td:first').attr('item_id')
    //console.log('item_id: ' + item_id);
    $('#CENNIK_IMPORT_DOSTAWCA_ID').val(item_id);
}

var cennik_import_szablony = {};
function cennikImportSzablonyOpcje() {
    var $select = $('#CENNIK_IMPORT_SZABLON');

    var szablony_options = [];

    if ( cennik_import_szablony ) {
        for ( var o in cennik_import_szablony ){
            if( typeof(cennik_import_szablony[o]) == 'object' ){
                szablony_options.push(o) ;
            }
        }
    }

    $select.children('option:gt(0)').remove();

    var szablon = $('#CENNIK_IMPORT_SZABLON_NAZWA').val();

    szablony_options.sort();
    for ( var i = 0; i < szablony_options.length ; i++ ) {
        $select.append('<option value="' + szablony_options[i]+ '" '+( szablon == szablony_options[i] ? 'selected' : '')+'>' + szablony_options[i] + '</option>');
    }
}

/**************************************************************************************************/


$(function(){
    var $activeDialog = null;
    var settingsAjax = {
        error: function(jqXHR, textStatus, errorThrown){
            console.log(textStatus);
            console.log(jqXHR);
            console.log(errorThrown);

            hideLoading();
            print_message( 'Przez serwer zostaa zwrcona nieprawidowa odpowied' );

            if ( $activeDialog ) {
                $activeDialog.dialog("enable");
                $activeDialog.dialog("close");
                $activeDialog = null;
            }
        }
    };

    $('#cennik_import_marza').change(cennikImportMarzaHandler).triggerHandler('change');
    $('#cennik_import_cena_id').change(cennikImportCenaHandler).triggerHandler('change');

    if ( !$.datepicker.regional[ "pl" ] ) {
        $.datepicker.regional['pl'] = {
            closeText: 'Zamknij',
            prevText: '&#x3c;Poprzedni',
            nextText: 'Nastpny&#x3e;',
            currentText: 'Dzi',
            monthNames: ['Stycze','Luty','Marzec','Kwiecie','Maj','Czerwiec',
            'Lipiec','Sierpie','Wrzesie','Padziernik','Listopad','Grudzie'],
            monthNamesShort: ['Sty','Lu','Mar','Kw','Maj','Cze',
            'Lip','Sie','Wrz','Pa','Lis','Gru'],
            dayNames: ['Niedziela','Poniedziaek','Wtorek','roda','Czwartek','Pitek','Sobota'],
            dayNamesShort: ['Nie','Pn','Wt','r','Czw','Pt','So'],
            dayNamesMin: ['N','Pn','Wt','r','Cz','Pt','So'],
            weekHeader: 'Tydz',
            dateFormat: 'yy-mm-dd',
            firstDay: 1,
            isRTL: false,
            showMonthAfterYear: false,
            yearSuffix: ''
        };
    }

    $('.datepicker').datepicker($.datepicker.regional[ "pl" ]);
//    $('#cennikImportForm').submit(function(){
//
//    });

    $(document).ajaxStart(function(){
        $.blockUI({ message: '<h1>Wczytywanie danych<br /><span class="busy">&nbsp;</span><br />Prosz czeka...</h1>' });
    });

    $(document).ajaxStop(function(){
        $.unblockUI();
    });


    $('#cennikImportForm').submit(function(e){
        e.preventDefault();

        $(this).find('input[name=mode]').val('import');
        $(this).ecprogress({
            'start' : true,
            'title' : 'Import cennika'
        });

        return false;
    });


    $('#cennikImportSubmitBtn').click(function(e){
        e.preventDefault();

        $('#cennikImportForm').submit();

        return false;
    });

/**************************************************************************************************/
    var cennik_import_form = null;
    $('#CENNIK_IMPORT_SZABLON').change(function(){
        var szablon = this.value;

        if ( !cennik_import_form ) {
            cennik_import_form = formGetValues(this.form);
        }

        var data = null;
        if ( typeof(cennik_import_szablony[szablon]) == 'object' ) {
            data = cennik_import_szablony[szablon];
        } else {
            data = cennik_import_form;
        }

        if ( data ) {
            //odznaczam checkboxy
            $(this.form).find('input[type=checkbox]').each(function(){
                this.checked = false;
            });

            formSetValues( this.form, data);

            var $tree = $('#cennikImportTowarGrupaTree');
            tree_init($tree.children()[0], $tree.attr('data-url') + '&gid=' + data.TOWAR_GRUPA );

            this.value = szablon;
            //$('#CENNIK_IMPORT_SZABLON_NAZWA').val(szablon);
        }
    });

    $('#cennikImportSzablonDeleteBtn').button({
        'icons' : {
            'primary' : 'ui-icon-trash'
        },
        'text' : false
    }).click(function(e){
        e && (typeof(e.preventDefault) == 'function') && e.preventDefault();

        var szablon = $('#CENNIK_IMPORT_SZABLON').val();
        if ( !szablon ) {
            alert('Wybierz szablon ktry chcesz usun!');
            return false;
        }

        $.ajax($.extend({}, settingsAjax, {
            'url': this.href,
            'dataType':  'json',
            'data':  {'szablon' : szablon },
            'success': function(data) {
                hideLoading();

                if ( data && data.message ){
                    print_message( data.message );
                }

                if ( !data.error && cennik_import_szablony[szablon] ) {
                    delete cennik_import_szablony[szablon];
                }

                cennikImportSzablonyOpcje();

                $('#CENNIK_IMPORT_SZABLON').triggerHandler('change');
            }
        }));

        return false;
    });

    function _str2obj( data ){
        if ( typeof(data) === 'string' ) {
            if( data.substr(0,1) === '{' && data.substr(data.length-1) === '}' ){
                try{
                    data = eval('(' + data + ')');
                }catch(e){
                    data = null;
                }
            }
        }

        return data;
    }

    function cennikImportSave( data, szablon ) {
        var $form = $('#cennikImportForm');
        $form.find('input[name=mode]').val('import');

        if ( data && data.message ) {
            print_message( data.message );
        }

        if ( !data.error ) {
            if ( data.object ) {
                cennik_import_szablony[szablon] = data.object;
            }

            cennikImportSzablonyOpcje();
        }
    }

    $('#cennikImportSzablonSaveBtn').button({
        'icons' : {
            'primary' : 'ui-icon-disk'
        },
        'text' : false
    }).click(function(e){
        e && e.preventDefault();

        var $form = $('#cennikImportForm');

        var szablon = $form.find('input[name=SZABLON_NAZWA]').val();
        if ( !szablon ) {
            alert('Naley poda nazw szablonu!');
            return false;
        }

        $form.find('input[name=mode]').val('save');
        $form.ajaxSubmit( {
            dataType:  'json',

            success: function(data){
                cennikImportSave(data, szablon);
            },

            error: function( jqXHR ){
                var data = _str2obj(jqXHR.responseText);
                cennikImportSave(data, szablon);
                //console.log(jqXHR);
            }
        });

        return false;
    });
/**************************************************************************************************/

    $('#cennikImportIndexFindNrBtn').button({
        'icons' : {
            'primary' : 'ui-icon-refresh'
        },
        'text' : false
    }).click(function(e){
        e && (typeof(e.preventDefault) == 'function') && e.preventDefault();

        var indeks = $('#cennik_import_towar_skrot_maska').val();
        if ( !indeks ) {
            alert('Podaj mask indeksu aby skrypt mg odszuka nr startowy!');
            return false;
        }

        $.ajax($.extend({}, settingsAjax, {
            'url': this.href,
            'dataType':  'json',
            'data':  {'indeks' : indeks },
            'success': function(data) {
                hideLoading();

                if ( data && data.message ){
                    print_message( data.message );
                }

                if ( !data.error && data.object ) {
                    $('#cennik_import_towar_skrot_start').val(data.object.numer);
                }
            }
        }));

        return false;
    });

});



