/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
var message_pnotify = null;
function print_message(body, type){
    if ( typeof arguments[0] == 'object' ) {
        if ( body.message ) {
            if ( body.message.type ) {
                type = body.message.type;
            }

            var message = body.message.body;
            if ( body.error ) {
                type = 'error';

                if ( body.object ) {
                    message = 'Wystpiy bdy: <ol>';
                    for( var err in body.object ){
                        message += '<li>' + body.object[ err ] + '</li>';
                    }
                    message += '</ol>';
                }
            }
            body = message;
        } else {
            type = body.type;
            body = body.body;
        }
    }

    var delay = Math.max( 5000, (body.length / 5) * 800);  //czas wyswietlania w zaleznosci od dlugosic tekstu
    var title = (type == 'error')? 'Bd' : 'Informacja';
    if( !type ) type = 'notice';

    if ( message_pnotify && message_pnotify.pnotify_remove){
        message_pnotify.opts.pnotify_animation = 'none';
        message_pnotify.pnotify_remove();
    }

    message_pnotify = jQuery.pnotify({
        pnotify_title: title,
        pnotify_type: type,
        pnotify_text: body,
        pnotify_hide: true,
        pnotify_delay: delay,
        'styling' : 'jqueryui',
        pnotify_animation: 'fade'
    });
}

var $confirmDialog = null;
function confirmDialog( message, options ){
    var cancelCallback, confirmCallback = null;

    if ( !$confirmDialog || ($confirmDialog.length == 0) ) {
        $confirmDialog = $('#confirmDialog');

        if ( $confirmDialog.length == 0 ) {
            $('body').append(
                $confirmDialog = $('<div id="confirmDialog"></div>').hide()
            );
        }

        $confirmDialog.dialog( {
            'autoOpen' : false,
            'model' : false,
            'maxWidth': 800,
            'maxHeight': 600,
            'position' : 'center',
            'title' : 'Komunikat',
            'width' : 400,
            'height' : 'auto',
            'close' : function (){
                hideTlo();
            },
            'open' : function (){
                showTlo();
            }
        });
    }

    $confirmDialog.html(message);

    if ( !options ) options = {};

    if ( typeof(options) == 'function' ){
        confirmCallback = options;
        options = {};
    }

    if ( options.confirm  ) {
        if( typeof(options.confirm) == 'function'){
            confirmCallback = options.confirm;
        }

        delete options['confirm'];
    }

    if ( options.cancel  ) {
        if ( typeof(options.cancel) == 'function' ){
            cancelCallback = options.cancel;
        }

        delete options['cancel'];
    }

    $confirmDialog.dialog( 'option', 'buttons',  [
        {
            text: "Anuluj",
            icons : {
                'primary' : 'ui-icon-cancel'
            },
            click: function() {
                $(this).dialog("close");

                if( cancelCallback && typeof(cancelCallback) == 'function' ){
                    cancelCallback();
                }
            }
        },
        {
            text: "Ok",
            icons : {
                'primary' : 'ui-icon-check'
            },
            click: function() {
                $(this).dialog("close");

                if( confirmCallback && typeof(confirmCallback) == 'function' ){
                    confirmCallback();
                }
            }
        }
    ]);

    var o, optionsList = [ 'title', 'modal', 'buttons' ];
    for( var i = 0; i < optionsList.length; i++ ) {
        o = optionsList[i];
        if ( options[o] ) {
            $confirmDialog.dialog( 'option', o, options[o] );
        }
    }

    $confirmDialog.dialog( "open" );
}

jQuery.fn.textPlaceholder = function () {
    return this.each(function(){
        var that = this;

        var placeholder = that.getAttribute('title');
        var input = jQuery(that);

        if (that.value === '' || that.value == placeholder) {
            input.addClass('text-placeholder');
            that.value = placeholder;
        }

        input.focus(function(){
            if (input.hasClass('text-placeholder')) {
                this.value = '';
                input.removeClass('text-placeholder')
            }
        });

        input.blur(function(){
            if (this.value === '') {
                input.addClass('text-placeholder');
                this.value = placeholder;
            } else {
                input.removeClass('text-placeholder');
            }
        });
    });
};



