var dane = new Object();
var konta = new Object();
var kontakty = new Object();

//obiekt ktry posuzy do odebrania informacji o kontrahencie
var aKotrahXmlHttpRequest = createXmlHttpRequestObject();

var o_operator_nazwa_div = null;
var o_malpka_div = null;
var o_kontakty_div = null;
var o_send_email_div = null;
var o_logowanie_info_div = null;
var o_usun_btn = null;

function onchange_typ_select( sel ){
    o_zw_row = $('#zw_row');

    if ( o_zw_row.length > 0 ) {
        ( sel.value == 1 )?   o_zw_row.show() :    o_zw_row.hide();
    }

    //ukrywam indywidualne ustawienia cen i cennikw jesli klient jest B2B
    var $ceny_i_cenniki_row = $('#ceny_i_cenniki_row');
    if ( $ceny_i_cenniki_row.length > 0 ) {
        ( sel.value == 1 ) ?  $ceny_i_cenniki_row.show() : $ceny_i_cenniki_row.hide();
    }

    o_operator_nazwa_div = $(o_operator_nazwa_div);
    if( sel.value == 2 ){
        o_operator_nazwa_div.show();
    }else{
        try{
        o_operator_nazwa_div.hide();
        }catch(e){}
    }
}


function showUserForm(){
    o_user_form = document.getElementById('user_form_div');

    center_both_obj(o_user_form);

    var f = document.forms['user_form'];

    f.elements['short_name'].value = dane['short_name'];
    f.elements['taxid'].value = dane['taxid'];
    f.elements['contact_id'].value = dane['id'];
    f.elements['login'].value = '';
    f.elements['typ'].selectedIndex = 0;
    f.elements['email_id'].value = '';
    f.elements['haslo'].value    = '';
    f.elements['haslo2'].value   = '';
    f.elements['gen_haslo'].value = '';
    f.elements['wylacz'].checked = false;
    f.elements['powod'].value = '';
    f.elements['profil_id'].value = '';
    f.elements['zk_doc_id'].value = '';
    if( f.elements['zw'] ) f.elements['zw'].checked = false;
    if( f.elements['is_admin'] ) f.elements['is_admin'].checked = false;
    if( f.elements['newsletter'] ) f.elements['newsletter'].checked = false;

    //ukrywamy chcek z moliwoci wyczenia konta, bo jeszcze tego konta nie ma wiec nie mozna go jeszcze wyczyc
    var oWylacz_div = document.getElementById('wylacz_div');
    oWylacz_div.style.display = 'none';

    var oPowod_wylaczenia_div = document.getElementById('powod_wylaczenia_div');
    oPowod_wylaczenia_div.style.display = 'none';

    if( !o_send_email_div ){
        o_send_email_div = document.getElementById('send_email_div');
    }

    if( !o_usun_btn ){
        o_usun_btn = document.getElementById('usun_btn');
    }

    if ( !o_logowanie_info_div ) {
        o_logowanie_info_div = document.getElementById('logowanie_info_div');
    }

    //ukrywam
    hide('konto_lastlogin_switch', 'konto_lastlogin_info');
    hide('ceny_i_cenniki_switch', 'konto_ceny_i_cenniki');

    //opcja do selecta
    var opt = null;

    //usuwam opcje za wyjatkiem pierwszej (konto e-Sklep), i drugiej: konto B2B
    clear_select(f.elements['typ'], 2);

    //select z kontaktami personalnymi
    var kontakty_sel = f.elements['kontakty'];
    clear_select(kontakty_sel);

    if(!o_operator_nazwa_div){
        o_operator_nazwa_div = document.getElementById('operator_nazwa_div');
    }

    if( !o_malpka_div ){
        o_malpka_div = document.getElementById('malpka_div');
    }

    if(!o_kontakty_div){
        o_kontakty_div = document.getElementById('kontakty_div');
    }

    f.elements['operator_nazwa'].disabled = false;
    $(o_malpka_div ).hide();
    $(o_operator_nazwa_div).hide();

    if( dane['akwizytor'] == 1 || dane['pracownik'] == 1 ){
        opt = document.createElement('option');
        opt.value = '2';
        opt.text  = 'Konto mobilnego handlowca';

        try {
            f.elements['typ'].add(opt, null);
        }catch(err){
            f.elements['typ'].add(opt);
        }

        $(o_operator_nazwa_div).show();
    }

    if( dane['pracownik'] == 1 ){
        f.elements['operator_nazwa'].value = dane['operator'];

        if( dane['operator'] != '' )
            f.elements['operator_nazwa'].disabled = true;

        $( o_malpka_div ).show();
    }


    if( dane['kontakty'] && dane['kontakty'].length > 0 ){
        show_obj( o_kontakty_div );
        make_select(kontakty_sel, dane['kontakty'], 0);
    }

    emails_make_select( dane['emails'], f.elements['emails'] );

    konta_make_select( dane['konta'], f );

    onchange_typ_select( f.elements['typ'] );
}

function emails_make_select(emails, emails_sel ){
    if( arguments.length == 1 ){
        emails_sel = document.forms['user_form'].emails;
    }

    //czyszcze opcje
    clear_select(emails_sel);

    if( emails && emails.length > 0){
        emails_sel.style.visibility = 'visible';

        //pierwsza opcja wybierz
        var opt = document.createElement('option');
        opt.value = '';
        opt.text  = 'Wybierz';
        try{
            emails_sel.add(opt, null);
        }catch(err){
            emails_sel.add(opt);
        }


        for(i = 0; i < emails.length; i++){
            opt = document.createElement('option');
            opt.value = emails[i].id;
            opt.text  = emails[i].address;
            try{
                emails_sel.add(opt, null);
            }catch(err){
                emails_sel.add(opt);
            }
        }
    }else{
        emails_sel.style.visibility = 'hidden';
    }
}

function konta_make_select( a_konta, f ){
    if( arguments.length == 1 ){
        f = document.forms['user_form'];
    }
    var konta_select = f.elements['konto_id'];

    //usuwam opcje za wyjatkiem pierwszej ktra domyslnie to utwrz nowe konto
    clear_select(konta_select, 1);

    //jesli jest wiecej jak jedno zaoone konto
    if( a_konta && a_konta.length > 0 ){
        //pokazuje checkbox do wysania maila
        $(o_send_email_div).hide();

        f.elements['emails'].style.visibility = 'hidden';

        var znaleziony = false;
        var login_lower = new String();

        //tworze selecta z kontami jakie zostay zaoone
        for(i = 0; i < a_konta.length; i++){
            opt = document.createElement('option');
            opt.value = a_konta[i].id;
            opt.text  = a_konta[i].login;
            try {
                konta_select.add(opt, null);
            }catch(err){
                konta_select.add(opt);
            }
        }

        //jesli jest tylko jedno konto
        if( a_konta.length == 1){
            konta_select.selectedIndex = 1;
        }else{
            konta_select.selectedIndex = 0;
        }
        update_konto( f );

        //pokazuje przycisk
        if( f.elements['usun_btn'] ){
            f.elements['usun_btn'].style.display = 'inline';
        }else if( o_usun_btn ){
            o_usun_btn.style.display = 'inline';
        }

        //wyswietlam komunikat
        alert('Uytkownik ma ju zaoone konto!\nMoesz zaktualizowa mu login, lub magazyn na ktry ma skada zamwienia, a take haso.\nJeli haso pozostawisz puste, nie zostanie ono zmienione!');
    }else{
        //pokazuje checkbox do wysania maila
        $(o_send_email_div).show;

        //ukrywamy przycisk usu bo nie ma jeszcze co usuwa
        if( f.elements['usun_btn'] ){
            f.elements['usun_btn'].style.display = 'none';
        }else if( o_usun_btn ){
            o_usun_btn.style.display = 'none';
        }

        clear_select(f.elements['konto_id'], 1);

        update_konto( f );
    }
}

function update_email( f ){
    if( f.elements['emails'].selectedIndex > 0){
        var id = f.elements['emails'].options[f.elements['emails'].selectedIndex].value ;
        var email = f.elements['emails'].options[f.elements['emails'].selectedIndex].text ;

        f.elements['login'].value = email;
        f.elements['email_id'].value = id;
    }else{
        f.elements['login'].value = '';
        f.elements['email_id'].value = '';
    }
}

function update_konto( f ){

    if( f.elements['konto_id'] && f.elements['konto_id'].selectedIndex > 0 ){
        $(o_send_email_div).hide();

        var i = f.elements['konto_id'].selectedIndex;
        var j = 0;
        var id = f.elements['konto_id'].options[i].value ;
        var login = f.elements['konto_id'].options[i].text;

        f.elements['emails'].style.visibility = 'hidden';

        //ustawiam magazyn
        select_option(f.elements['magazyn_id'], konta[i-1]['magazyn_id']);

        //ustawiam szablon
        select_option(f.elements['szablon'], konta[i-1]['szablon']);

        //ustawiam kod dokumentu
        select_option(f.elements['zk_doc_id'], konta[i-1]['zk_doc_id']);

        //ustawiam typ konta
        select_option(f.elements['typ'], konta[i-1]['typ']);
        onchange_typ_select( f.elements['typ'] );

        //ustawiam profil
        select_option(f.elements['profil_id'], konta[i-1]['profil_id']);

        //ustawiam login
        f.elements['login'].value = login;

        //pokazujemy chcek z moliwoci wyczenia konta
        oWylacz_div = document.getElementById('wylacz_div');
        oWylacz_div.style.display = 'block';

        var oPowod_wylaczenia_div = document.getElementById('powod_wylaczenia_div');

        //alert(i-1 + ' ' + parseInt(konta[i-1]['wylaczone']));
        if( parseInt(konta[i-1]['wylaczone']) == 1 ){
            f.elements['wylacz'].checked = true;
            f.elements['powod'].value = konta[i-1]['powod_wylaczenia'];
            oPowod_wylaczenia_div.style.display = 'block';
        }else{
            f.elements['wylacz'].checked = false;
            f.elements['powod'].value = '';
            oPowod_wylaczenia_div.style.display = 'none';
        }

        f.elements['operator_nazwa'].value = konta[i-1]['operator_nazwa'];
        if( konta[i-1]['malpka'] == 1 ){
            f.elements['malpka'].checked = true;
        }else{
            f.elements['malpka'].checked = false;
        }

        f.elements['last_login_from'].value = konta[i-1]['last_login_from'];
        f.elements['last_login_date'].value = konta[i-1]['last_login_date'];
        f.elements['liczba_logowan'].value  = konta[i-1]['liczba_logowan'];
        o_logowanie_info_div.style.display = 'block';

        if( f.elements['zw'] ){
            f.elements['zw'].checked = ((konta[i-1]['typ'] == 1) &&  konta[i-1]['zw'] == 1);
        }

        if ( f.elements['newsletter'] ) {
            f.elements['newsletter'].checked = (konta[i-1]['newsletter'] != 0);
        }

        if ( f.elements['is_admin'] ) {
            f.elements['is_admin'].checked = (konta[i-1]['is_admin'] != 0);
        }

        if ( f.elements['wylacz_staly_rabat'] ) {
            f.elements['wylacz_staly_rabat'].checked = (konta[i-1]['wylacz_staly_rabat'] != 0);
        }

        if ( f.elements['cenniki'] ) {
            $('#konto-cenniki-btn').cennikiBrowser('setItems', konta[i-1]['cenniki']);
            f.elements['cenniki'].value = konta[i-1]['cenniki'];
        }

        if ( f.elements['zk_kwota_min_brutto'] ) {
            f.elements['zk_kwota_min_brutto'].selectedIndex = 0;
            select_option(f.elements['zk_kwota_min_brutto'], konta[i-1]['zk_kwota_min_brutto']);
        }

        if ( f.elements['zk_kwota_min'] ) {
            f.elements['zk_kwota_min'].value = konta[i-1]['zk_kwota_min'];
        }

        if ( f.elements['cena_id'] ) {
            f.elements['cena_id'].selectedIndex = 0;
            select_option(f.elements['cena_id'], konta[i-1]['cena_id']);
        }

        if ( f.elements['rabat_id'] ) {
            f.elements['rabat_id'].selectedIndex = 0;
            select_option(f.elements['rabat_id'], konta[i-1]['rabat_id']);
        }

        if ( f.elements['cena_promo_id'] ) {
            f.elements['cena_promo_id'].selectedIndex = 0;
            select_option(f.elements['cena_promo_id'], konta[i-1]['cena_promo_id']);
        }

        if ( f.elements['cena_wyprz_id'] ) {
            f.elements['cena_wyprz_id'].selectedIndex = 0;
            select_option(f.elements['cena_wyprz_id'], konta[i-1]['cena_wyprz_id']);
        }

        if ( f.elements['cena_special_id'] ) {
            f.elements['cena_special_id'].selectedIndex = 0;
            select_option(f.elements['cena_special_id'], konta[i-1]['cena_special_id']);
        }

        //pokazujemy btn usu
        if( f.elements['usun_btn'] ){
            f.elements['usun_btn'].style.display = 'inline';
        }else if( o_usun_btn ){
            o_usun_btn.style.display = 'inline';
        }

        var $ceny_i_cenniki_row = $('#ceny_i_cenniki_row');
        if ( $ceny_i_cenniki_row.length ) {

        }
    }else{
        $(o_send_email_div).show();

        f.elements['login'].value = '';
        f.elements['emails'].selectedIndex = 0;
        f.elements['email_id'].value = '';
        f.elements['magazyn_id'].selectedIndex = 0;
        f.elements['wylacz'].checked = false;
        f.elements['powod'].value = '';
        f.elements['zk_doc_id'].value = '';

        if ( f.elements['wylacz_staly_rabat'] ) {
            f.elements['wylacz_staly_rabat'].checked = false;
        }
        if ( f.elements['zk_kwota_min'] ) {
            f.elements['zk_kwota_min'].value = '';
        }
        if ( f.elements['zk_kwota_min_brutto'] ) {
            f.elements['zk_kwota_min_brutto'].value = '';
            f.elements['zk_kwota_min_brutto'].selectedIndex = 0;
        }
        if ( f.elements['cenniki'] ) {
            $('#konto-cenniki-btn').cennikiBrowser('setItems', []);
            f.elements['cenniki'].value = '';
        }
        if ( f.elements['cena_id'] ) {
            f.elements['cena_id'].value = '';
            f.elements['cena_id'].selectedIndex = 0;
        }
        if ( f.elements['rabat_id'] ) {
            f.elements['rabat_id'].value = '';
            f.elements['rabat_id'].selectedIndex = 0;
        }
        if ( f.elements['cena_promo_id'] ) {
            f.elements['cena_promo_id'].value = '';
            f.elements['cena_promo_id'].selectedIndex = 0;
        }
        if ( f.elements['cena_wyprz_id'] ) {
            f.elements['cena_wyprz_id'].value = '';
            f.elements['cena_wyprz_id'].selectedIndex = 0;
        }
        if ( f.elements['cena_special_id'] ) {
            f.elements['cena_special_id'].value = '';
            f.elements['cena_special_id'].selectedIndex = 0;
        }

        //jesli mamy maile,
        if( f.elements['emails'].options.length > 1 ){ //pierwsza opcja wybierz std > 1
            f.elements['emails'].style.visibility = 'visible';
        }

        f.elements['operator_nazwa'].value = dane.operator;
        f.elements['malpka'].checked = false;

        //ukrywamy przycisk usu
        if( f.elements['usun_btn'] ){
            f.elements['usun_btn'].style.display = 'none';
        } else if( o_usun_btn ){
            o_usun_btn.style.display = 'none';
        }

        //ukrywamy chcek z moliwoci wyczenia konta, bo jeszcze tego konta nie ma wiec nie mozna go jeszcze wyczyc
        oWylacz_div = document.getElementById('wylacz_div');
        oWylacz_div.style.display = 'none';

        o_logowanie_info_div.style.display = 'none';
    }
}


function hideUserForm(){
  if( !o_user_form )
      o_user_form = document.getElementById('user_form_div');

  err_div = document.getElementById('errors');
  err_div.innerHTML = '';
  $(err_div).hide();

  $(o_kontakty_div).hide();

  var f = document.forms['user_form'];

  f.elements['contact_id'].value = '';
  f.elements['email_id'].value = '';
  f.elements['konto_id'].value = '';
  f.elements['person_id'].selectedIndex = 0;

  f.elements['short_name'].value = '';
  f.elements['taxid'].value = '';

  f.elements['login'].value = '';
  f.elements['haslo'].value = '';
  f.elements['haslo2'].value = '';
  f.elements['gen_haslo'].value = '';

  f.elements['operator_nazwa'].value = '';
  f.elements['malpka'].checked = false;

  f.elements['emails'].style.visibility = 'hidden';

  f.elements['last_login_from'].value = '';
  f.elements['last_login_date'].value = '';
  f.elements['liczba_logowan'].value  = '';
  o_logowanie_info_div.style.display = 'none';

  o_user_form.style.display = "none";
  o_user_form.style.visibility = "hidden";
}

function anuluj(){
    hideUserForm();
    hideTlo();
}

function zalozKonto( f ){

    if( aKotrahXmlHttpRequest ){
      try{
        /* jeli obiekt XMLHttpRequest nie jest zajty obsug poprzedniego dnia... */
        if (aKotrahXmlHttpRequest.readyState == 4 || aKotrahXmlHttpRequest.readyState == 0){
          //debug.pisz('cze sie z adresem: kontrahenci1.php?id='+ contact_id);

          var ACTION_KONTRAHENCI = 3;
          var MODE_SET_ACCOUNT = 1;

          var post = '';
          post += 'action='+ ACTION_KONTRAHENCI + '&mode=' + MODE_SAVE;
          post += '&ajax=1';
          post += '&contact_id='+ f.elements['contact_id'].value;
          post += '&person_id=' + f.elements['person_id'].value;
          post += '&email_id='  + f.elements['email_id'].value;
          post += '&konto_id='  + f.elements['konto_id'].value;
          post += '&login='     + f.elements['login'].value;
          post += '&typ='       + f.elements['typ'].value;
          if ( f.elements['zw'] && f.elements['typ'].checked ){
              post += '&zw='  + f.elements['typ'].value;
          }
          if ( f.elements['newsletter'] && f.elements['newsletter'].checked ){
              post += '&newsletter='  + f.elements['newsletter'].value;
          }
          if ( f.elements['is_admin'] && f.elements['is_admin'].checked ){
              post += '&is_admin='  + f.elements['is_admin'].value;
          }

          if(f.elements['malpka'].checked){
              post += '&malpka=1';
          }
          if( f.elements['send_email'].checked ){
              post += '&send_email=1';
          }

          post += '&operator_nazwa=' + f.elements['operator_nazwa'].value;
          post += '&profil_id=' + f.elements['profil_id'].value;
          post += '&zk_doc_id=' + f.elements['zk_doc_id'].value;

          if( f.elements['konto_handlowca'] && f.elements['konto_handlowca'].checked ){
              post += '&konto_handlowca=1';
          }

          if( f.elements['wylacz'] && f.elements['wylacz'].checked ){
              post += '&wylacz=1&powod='+f.elements['powod'].value;
          }

          if( f.elements['odbiorca_check'] && f.elements['odbiorca_check'].checked ){
              post += '&odbiorca_check='+f.elements['odbiorca_check'].value;
          }
          if( f.elements['staly_rabat_wylacz'] && f.elements['staly_rabat_wylacz'].checked ){
              post += '&staly_rabat_wylacz='+f.elements['staly_rabat_wylacz'].value;
          }
          if( f.elements['zk_kwota_min_brutto']  ){
              post += '&zk_kwota_min_brutto='+f.elements['zk_kwota_min_brutto'].value;
          }
          if( f.elements['zk_kwota_min']  ){
              post += '&zk_kwota_min='+f.elements['zk_kwota_min'].value;
          }
          if( f.elements['wylacz_staly_rabat'] && f.elements['wylacz_staly_rabat'].checked  ){
              post += '&wylacz_staly_rabat='+f.elements['wylacz_staly_rabat'].value;
          }
          if( f.elements['cenniki']  ){
              post += '&cenniki='+f.elements['cenniki'].value;
          }
          if( f.elements['cena_id']  ){
              post += '&cena_id='+f.elements['cena_id'].value;
          }
          if( f.elements['rabat_id']  ){
              post += '&rabat_id='+f.elements['rabat_id'].value;
          }
          if( f.elements['cena_promo_id']  ){
              post += '&cena_promo_id='+f.elements['cena_promo_id'].value;
          }
          if ( f.elements['cena_wyprz_id']  ){
              post += '&cena_wyprz_id='+f.elements['cena_wyprz_id'].value;
          }
          if ( f.elements['cena_special_id']  ) {
              post += '&cena_special_id='+f.elements['cena_special_id'].value;
          }

          post += '&haslo='     + f.elements['haslo'].value;
          post += '&haslo2='    + f.elements['haslo2'].value;
          post += '&magazyn_id='+ f.elements['magazyn_id'].options[f.elements['magazyn_id'].selectedIndex].value;
          post += '&szablon='+ f.elements['szablon'].options[f.elements['szablon'].selectedIndex].value;

          //debug.pisz('Wysyam dane methoda GEt: ');
          //debug.pisz(post);
          //do debugowania
          //document.forms['debug'].debug_text.value = ADMIN_URL + '\n\n' + post;

          aKotrahXmlHttpRequest.open("GET", ADMIN_URL+'?' + post, true);
          aKotrahXmlHttpRequest.onreadystatechange = zalozKontoOdp;
          aKotrahXmlHttpRequest.send(null);
        }
        // jeli jest zajty...
        else{
          alert('Czekaj trwa oczekiwanie na odpowied serwera!');
        }
      }
      catch(e){
        alert("Nie mog poczy si z serwerem:\n" + e.toString());
      }
    }

    //hideUserForm();

    //hideTlo();
}

function zalozKontoOdp(){

  //po ukoczeniu procesu, decyduje co zrobi z otrzymanymi danymi
  if (aKotrahXmlHttpRequest.readyState == 4){
    // tylko jeli status dania HTTP jest "OK"
    if (aKotrahXmlHttpRequest.status == 200){
      try
      {
        //debug.pisz('Otrzymaem odpowiedz z serwera: ' + aKotrahXmlHttpRequest.responseText);

        //alert(aKotrahXmlHttpRequest.responseText);

        if( aKotrahXmlHttpRequest.responseText == 'OK'){
            alert('Konto zostao zaoone!');
            anuluj();
        }else{
            alert('Wystpiy bdy przy zakadaniu konta');

            errors = [];

            err_div = document.getElementById('errors');

            $(err_div).show();

            // pobiera element dokumentu
            try{
                var xmlRoot = aKotrahXmlHttpRequest.responseXML.documentElement;

                var xmlerr = xmlRoot.getElementsByTagName('error');

            }catch(e){
                err_div.innerHTML = aKotrahXmlHttpRequest.responseText;
                return;
            }

            // przeszukuje w ptli wszystkie wzy XML, pobierajc ich zawarto
            for(i = 0; i < xmlerr.length; i++){
              errors[i] = xmlerr.item(i).getAttribute('str');
            }

            err_html = 'Wystpiy nastpujce bdy: ';
            err_html += '<ol>';
            for(i = 0; i < errors.length; i++){
              err_html += '<li class=error>' + errors[i] + '</li>';
            }
            err_html += '</ol>';

            //debug.pisz(err_html);

            err_div.innerHTML = err_html;
        }
        return true;
      }
      catch(e){
        // wywietla komunikat o bdzie
        displayError(e.toString());
      }
    }
    else{
      displayError("Wystpi problem podczas pobierania danych:\n" + this.xmlHttpGetSuggestions.responseText);
    }
  }
}

function usunKonto( f ){

    if( arguments.length < 1){
        f = document.forms['user_form'];
    }

    if ( f.elements['konto_id'].value == 0 ){
        alert('Mona usunc tylko istniejce konto!!!');
        return false;
    }

    if( aKotrahXmlHttpRequest ){
      try{
        /* jeli obiekt XMLHttpRequest nie jest zajty obsug poprzedniego dnia... */
        if (aKotrahXmlHttpRequest.readyState == 4 || aKotrahXmlHttpRequest.readyState == 0){
          var post = '';
          post += 'action='+ ACTION_KONTRAHENCI + '&mode=' + MODE_DEL + '&ajax=1' + '&ID='  + f.elements['konto_id'].value;

          aKotrahXmlHttpRequest.open("GET", ADMIN_URL + '?' + post, true);
          aKotrahXmlHttpRequest.onreadystatechange = usunKontoOdp;
          aKotrahXmlHttpRequest.send(null);
        }
        // jeli jest zajty...
        else{
          alert('Czekaj trwa oczekiwanie na odpowied serwera!');
        }
      }
      catch(e){
        alert("Nie mog poczy si z serwerem:\n" + e.toString());
      }
    }
}


function usunKontoOdp(){

  //po ukoczeniu procesu, decyduje co zrobi z otrzymanymi danymi
  if (aKotrahXmlHttpRequest.readyState == 4){
    // tylko jeli status dania HTTP jest "OK"
    if (aKotrahXmlHttpRequest.status == 200){
      try{
        //debug.pisz('Otrzymaem odpowiedz z serwera: ' + aKotrahXmlHttpRequest.responseText);

        //alert(aKotrahXmlHttpRequest.responseText);

        if( aKotrahXmlHttpRequest.responseText == 'OK'){
            alert('Konto zostao usunite!');
            anuluj();
        }else{
            alert( aKotrahXmlHttpRequest.responseText );

            // pobiera element dokumentu
            var xmlRoot = aKotrahXmlHttpRequest.responseXML.documentElement;

            var xmlerr = xmlRoot.getElementsByTagName('error');
            errors = [];
            // przeszukuje w ptli wszystkie wzy XML, pobierajc ich zawarto
            for(i = 0; i < xmlerr.length; i++){
              errors[i] = xmlerr.item(i).getAttribute('str');
            }

            err_div = document.getElementById('errors');
            $(err_div).show();
            err_html = 'Wystpiy nastpujce bdy: ';
            err_html += '<ol>';
            for(i = 0; i < errors.length; i++){
              err_html += '<li class=error>' + errors[i] + '</li>';
            }
            err_html += '</ol>';

            //debug.pisz(err_html);

            err_div.innerHTML = err_html;
        }
        return true;
      }
      catch(e){
        // wywietla komunikat o bdzie
        displayError(e.toString());
      }
    }
    else{
      displayError("Wystpi problem podczas pobierania danych:\n" + this.xmlHttpGetSuggestions.responseText);
    }
  }
}



function aKotrahXmlHttpRequestOdbierzDane(){

  //debug.pisz('Otrzymaem odpowiedz z serwera: ' + aKotrahXmlHttpRequest.readyState);

  //po ukoczeniu procesu, decyduje co zrobi z otrzymanymi danymi
  if (aKotrahXmlHttpRequest.readyState == 4){
    // tylko jeli status dania HTTP jest "OK"
    if (aKotrahXmlHttpRequest.status == 200){
      //try {
        //debug.pisz('Otrzymaem odpowiedz z serwera: ' + aKotrahXmlHttpRequest.responseText);

        // pobiera element dokumentu
        var xmlRoot = aKotrahXmlHttpRequest.responseXML.documentElement;
        // zakada now tablic z nazwami funkcji
        dane = new Object();

        // sprawdza, czy s wyniki dla szukanego sowa kluczowego
        if( xmlRoot.childNodes.length ){
          //tagi jakie maja zostac wyuskane z opdebranego dokumentu XML
          var tagi = ['id', 'short_name', 'full_name', 'taxid', 'country', 'zipcode', 'place', 'street', 'building_number', 'apartment_number', 'akwizytor', 'pracownik', 'operator' ];

          var kontrah = xmlRoot.getElementsByTagName('kontrahent').item(0);
          /* pobieramy nowe nazwy funkcji z pliku XML w postaci tablicy */
          var el = null;
          for(var i = 0; i < tagi.length; i++){
            //pobieram tag/atryb
            dane[tagi[i]] = kontrah.getAttribute(tagi[i]);
          }

          var emails = xmlRoot.getElementsByTagName('email');
          dane['emails'] = [];
          // przeszukuje w ptli wszystkie wzy XML, pobierajc ich zawarto
          for(i = 0; i < emails.length; i++){
            email = emails.item(i);
            dane['emails'][i] = {'id' : email.getAttribute('id'), 'address': email.getAttribute('address'), 'default': email.getAttribute('default'), 'type': email.getAttribute('type') };
          }

          var konta_xml = xmlRoot.getElementsByTagName('konto');
          konta = dane['konta'] = [];
          var o_konto = null;
          var konto_xml = null;


          //var attrs = [ 'id', 'login', 'typ', 'magazyn_id', 'wylaczone', 'powod_wylaczenia', 'malpka', 'operator_nazwa', 'profil_id', 'last_login_from', 'last_login_date', 'liczba_logowan' ];
          var atrybut = null;
          // przeszukuje w ptli wszystkie wzy XML, pobierajc ich zawarto
          for(i = 0; i < konta_xml.length; i++){
              konto_xml = konta_xml.item(i);
              o_konto = new Object();

              for( j = 0; j < konto_xml.attributes.length; j++){
                  atrybut = konto_xml.attributes.item(j);
                  o_konto[atrybut.name] = atrybut.value;
              }

              dane['konta'][i] = o_konto;
          }
          konta = dane['konta'];


          var kontakty_xml = xmlRoot.getElementsByTagName('kontakty').item(0);
          var kontakty = kontakty_xml.getElementsByTagName('kontakt');
          var kontakt = null;
          var id;

          dane['kontakty'] = new Array();
          // przeszukuje w ptli wszystkie wzy XML, pobierajc ich zawarto
          for(i = 0; i < kontakty.length; i++){
              kontakt = kontakty.item(i);
              id = kontakt.getAttribute('id');
              dane['kontakty'][id] = kontakt.getAttribute('nazwa');
          }
          //debug.print_r(dane);
        }

        hideLoading();

        showUserForm();

        return true;
      //}catch(e){
        // wywietla komunikat o bdzie
        //displayError( e.toString() + 'pobieranie danych' );
      //}
    }
    else{
      displayError("Wystpi problem podczas pobierania danych:\n" + this.xmlHttpGetSuggestions.responseText);
    }
  }
} //end przygotujDane()



function getaKontrahent( contact_id ){

  if(aKotrahXmlHttpRequest){
    try{
      /* jeli obiekt XMLHttpRequest nie jest zajty obsug poprzedniego dnia... */
      if (aKotrahXmlHttpRequest.readyState == 4 || aKotrahXmlHttpRequest.readyState == 0){
        //debug.pisz('cze sie z adresem: kontrahenci1.php?id='+ contact_id);
        showTlo();

        showLoading();

        aKotrahXmlHttpRequest.open("GET", ADMIN_URL + '?action=' + ACTION_KONTRAHENCI  + '&mode=' + MODE_AJAX + '&cid='+ contact_id, true);

        aKotrahXmlHttpRequest.onreadystatechange = aKotrahXmlHttpRequestOdbierzDane;

        aKotrahXmlHttpRequest.send(null);
      }else{ // jeli jest zajty...
        //this.debugDevice.pisz('Serwer jest zajty dla sowa: ' + keyword);
        // czyci poprzednio ustawione czasy
        //if(aKotrahXmlHttpRequest.timeoutId != -1)
        //  clearTimeout(aKotrahXmlHttpRequest.timeoutId);
        // ponawia prb po 0.5 sekundy
        //aKotrahXmlHttpRequest.timeoutId = setTimeout(function(){ getKontrahent(oref, contact_id) }, 500);
      }
    }catch(e){
      alert("Nie mog poczy si z serwerem:\n" + e.toString());
    }
  }
}


function update_kontakt( f, person_id ){
    if( arguments.length < 2 ){
        f = document.forms['user_form'];
        person_id = parseInt(document.forms['user_form'].kontakty.value)
        if( isNaN(person_id) ){
            return;
        }
    }

    if( person_id > 0 ){
        f.elements['person_id'].value = person_id;

        //pobieram z serwera
        server_connect( aKotrahXmlHttpRequest, ADMIN_URL + '?action=' + ACTION_KONTRAHENCI + '&mode='+MODE_AJAX+'&pid=' + person_id, kontakt_odp_serwera );
/*
        //sprawdzam czy jest w cache
        if( kontakty[person_id] ){
            //ok
            konta = kontakty[person_id]['konta'];
            emails_make_select( kontakty[person_id]['emails'], f.elements['emails'] );
            konta_make_select(konta, f);
        }else{
            //pobieram z serwera
            server_connect( aKotrahXmlHttpRequest, SUGGEST_URL + '?action=a&pid=' + person_id, kontakt_odp_serwera );
        }
*/
    }else{
        //w tym miejscu
        konta = dane['konta'];
        emails_make_select( dane['emails'], f.elements['emails'] );
        konta_make_select(konta, f);
    }
}


function kontakt_odp_serwera( xmlRoot ){
    var kontakt = new Object();

    //tagi jakie maja zostac wyuskane z opdebranego dokumentu XML
    var tagi = [ 'id', 'contact_id', 'firstname', 'middlename', 'surname', 'short_name', 'nickname', 'apartment_number', 'province', 'street', 'place', 'country', 'building_number', 'zipcode', 'taxid' ];

    var person = xmlRoot.getElementsByTagName('person').item(0);
    /* pobieramy nowe nazwy funkcji z pliku XML w postaci tablicy */
    var el = null;
    for(var i = 0; i < tagi.length; i++){
      //pobieram tag/atryb
      kontakt[tagi[i]] = person.getAttribute(tagi[i]);
    }

    var emails = xmlRoot.getElementsByTagName('email');
    kontakt['emails'] = [];
    // przeszukuje w ptli wszystkie wzy XML, pobierajc ich zawarto
    for(i = 0; i < emails.length; i++){
      email = emails.item(i);
      kontakt['emails'][i] = {'id' : email.getAttribute('id'), 'address': email.getAttribute('address'), 'default': email.getAttribute('default'), 'type': email.getAttribute('type') };
    }

    var konta_xml = xmlRoot.getElementsByTagName('konto');
    kontakt['konta'] = [];
    // przeszukuje w ptli wszystkie wzy XML, pobierajc ich zawarto
    for(i = 0; i < konta_xml.length; i++){
        konto = konta_xml.item(i);
        kontakt['konta'][i] = {'id' : konto.getAttribute('id'), 'login': konto.getAttribute('login'), 'typ': konto.getAttribute('typ'), 'magazyn_id': konto.getAttribute('magazyn_id'), 'wylaczone': konto.getAttribute('wylaczone'), 'powod_wylaczenia': konto.getAttribute('powod_wylaczenia'), 'malpka': konto.getAttribute('malpka'), 'operator_nazwa': konto.getAttribute('operator_nazwa')  };
    }
    kontakty[kontakt['id']] = kontakt;

    var f = document.forms['user_form'];
    if( f.person_id.value == kontakt['id'] ){
        konta = kontakt['konta'];
        emails_make_select( kontakt['emails'], f.elements['emails'] );
        konta_make_select(konta, f);
    }

}

/**
 * Validates the password field in a form
 *
 * @param   object   the form
 *
 * @return  boolean  whether the field value is valid or not
 */
function checkPassword(the_form)
{
    // Did the user select 'no password'?
    if (typeof(the_form.elements['nopass']) != 'undefined' && the_form.elements['nopass'][0].checked) {
        return true;
    } else if (typeof(the_form.elements['pred_password']) != 'undefined' && (the_form.elements['pred_password'].value == 'none' || the_form.elements['pred_password'].value == 'keep')) {
        return true;
    }

    // Validates
    if (the_form.elements['pma_pw'].value == '') {
        alert(jsPasswordEmpty);
        the_form.elements['pma_pw2'].value = '';
        the_form.elements['pma_pw'].focus();
        return false;
    } else if (the_form.elements['pma_pw'].value != the_form.elements['pma_pw2'].value) {
        alert(jsPasswordNotSame);
        the_form.elements['pma_pw'].value  = '';
        the_form.elements['pma_pw2'].value = '';
        the_form.elements['pma_pw'].focus();
        return false;
    } // end if...else if

    return true;
} // end of the 'checkPassword()' function


/**
 * Validates the "add a user" form
 *
 * @return  boolean  whether the form is validated or not
 */
function checkAddUser(the_form)
{
    if (the_form.elements['pred_hostname'].value == 'userdefined' && the_form.elements['hostname'].value == '') {
        alert(jsHostEmpty);
        the_form.elements['hostname'].focus();
        return false;
    }

    if (the_form.elements['pred_username'].value == 'userdefined' && the_form.elements['username'].value == '') {
        alert(jsUserEmpty);
        the_form.elements['username'].focus();
        return false;
    }

    return checkPassword(the_form);
} // end of the 'checkAddUser()' function


/**
 * Generate a new password, which may then be copied to the form
 * with gen_pass().
 *
 * @param   string   the form name
 *
 * @return  boolean  always true
 */
function gen_pass( passwordlength, digitnum ) {
    var pwchars = "abcdefhjmnpqrstuvwxyzABCDEFGHJKLMNPQRSTUVWYXZ";
    var pwdigits = "0123456789";
    var i, j;

    if( passwordlength <= 0)
      passwordlength = 16;    // do we want that to be dynamic?  no, keep it simple :)

    if( digitnum < 0)
      digitnum = 0;    // do we want that to be dynamic?  no, keep it simple :)

    if(digitnum > passwordlength)
      digitnum = passwordlength;


    var passwd = '';


    var digits = [] ;

    //wypelniam ze wsz
    for ( i = 0; i < passwordlength; i++ ) digits[i] = false;

    j = 0;
    while( j < digitnum ){
      i = Math.floor( Math.random() * passwordlength);
      if( !digits[i] ){
        digits[i] = true;
        j++;
      }
    }



    for ( i = 0; i < passwordlength; i++ ) {
        if( digits[i] )
          passwd  += pwdigits.charAt( Math.floor( Math.random() * pwdigits.length ) );
        else
          passwd  += pwchars.charAt( Math.floor( Math.random() * pwchars.length ) )
    }

    return passwd;
}


/**
 * Copy the generated password (or anything in the field) to the form
 *
 * @param   string   the form name
 *
 * @return  boolean  always true
 */
function copy_gen_pass(forma){
    forma.haslo.value = forma.gen_haslo.value;
    forma.haslo2.value = forma.gen_haslo.value;

    return true;
}


function malpka_on_off( chx ){
    if( chx.checked ){
        //poprzedzam malpka
        if(chx.form.operator_nazwa.value.charAt(0) != '@'){
            chx.form.operator_nazwa.value = '@' + chx.form.operator_nazwa.value;
        }
    }else{
        //usuwam malpke
        if(chx.form.operator_nazwa.value.charAt(0) == '@'){
            chx.form.operator_nazwa.value = chx.form.operator_nazwa.value.substr( 1 );
        }
    }
}

function konto_uzytkownika_onclick( o_check ){
    o_check.form.elements['user_type'].disabled = !o_check.checked;
    if( o_check.form.elements['newsletter'] )
    o_check.form.elements['newsletter'].disabled = !o_check.checked;
}

function kontrahenci_grupa_ext_update(id, nazwa){
    var o_form = document.forms['kontrahenci_grupa_ext_form'];

    o_form.elements['grupa_ext_id'].value = id;
}

function kontrahenci_grupa_ext_show_form(){
    showTlo();

    center_both_obj(document.getElementById('kontrahenci_grupa_ext_div'));
}

function kontrahenci_grupa_ext_anuluj(){

    hide_obj( document.getElementById('kontrahenci_grupa_ext_div') );

    hideTlo();
}

jQuery(function(){
    var $contactTreeDialog = null;

    jQuery('a.icon_tree').click(function(e){
        e.preventDefault();

        var dialogOptions = {
                 title: '',
                 bgiframe: true,
                 show: 'clip',
                 hide: 'clip',
                 width: 'auto',
                 height: 'auto',
                 minWidth: 300,
                 minHeight: 100,
                 maxWidth: 1200,
                 width: 700,
                 closeOnEscape: true,
                 autoOpen: false,
                 modal: false,
                 draggable: true,
                 'open': function(event, ui) {
                     showTlo();
                 },
                 'close': function(){
                     hideTlo();
                 }
           };

        if ( !$contactTreeDialog ) {
            $contactTreeDialog = $('#contactTreeDialog');

            if ( $contactTreeDialog.length == 0 ) {
                $('body').append(
                    $contactTreeDialog = $('<div id="contactTreeDialog"></div>').hide()
                );
            }

            dialogOptions.title = 'Konfiguracja WebApi Sidemki';
            dialogOptions.buttons = [
                {
                    text: "Anuluj",
                    icons : {
                        'primary' : 'ui-icon-cancel'
                    },
                    click: function() {$(this).dialog("close");}
                },
                {
                    text: "Zapisz",
                    icons : {
                        primary : 'ui-icon-disk'
                    },
                    click: function() {
                        showLoading();
                        $contactTreeDialog.dialog('disable');

                        var post = {
                            'grupyt' : [],
                            'grupyt_ext' : []
                        };

                        $contactTreeDialog.find('input[type=hidden]').each(function(){
                            post[this.name] = this.value;
                        });

                        $contactTreeDialog.find('input[type=checkbox]').each(function(){
                            if( this.checked && !this.disabled ) {
                                if ( this.name.indexOf('_ext') != -1 ) {
                                    post['grupyt_ext'].push(this.value);
                                } else {
                                    post['grupyt'].push(this.value);
                                }
                            }
                        });

                        var url = $contactTreeDialog.find('form').attr('action');
                        jQuery.post( url, post, function(html){
                            hideLoading();
                            $contactTreeDialog.dialog('enable');
                            $contactTreeDialog.dialog('close');

                            var msg;
                            if ( html.substr(0, 1) == '{' ) {
                                var data = str2obj(html);

                                if ( data && data.message && data.message.body ) {
                                    msg = data.message.body;
                                }
                            }

                            confirmDialog( msg ? msg : html, {
                                'buttons': {
                                    'OK' : function(){
                                        jQuery(this).dialog('close');
                                    }
                                }
                            });
                        }, 'html');

                        return false;
                    }
                }
            ];

            $contactTreeDialog.dialog( dialogOptions );
        }

        showLoading();

        //niszcze drzewka
        trees_multi = [];

        jQuery.ajax({
            url: this.href,
            complete: function(){
                console.log('COMPLETE');

            },
            success: function(html){
                hideLoading();

                if ( html.substr(0,1) == '{' ) {
                    var data = str2obj(html);

                    if ( data && data.message && data.message.body ) {
                        alert(data.message.body);
                        return;
                    }
                }

                $contactTreeDialog.html(html);
                $contactTreeDialog.find('input[type=submit]').hide();

                $contactTreeDialog.find('.tab').click(function(){
                    view($('.tab.on'),'div_' + $('.tab.on').attr('id'));
                    view($(this),'div_' + $(this).attr('id'));
                    $('.drzewo').parents('div').toggleClass('on');
                });

                $contactTreeDialog.find('#grupyt_tree').html(trees_multi[0].html);
                $contactTreeDialog.find('#grupyt_ext_tree').html(trees_multi[1].html);

                if ( contact_tree && contact_tree.length > 0 ) {
                    var $grupyt = $contactTreeDialog.find('input.grupyt');
                    var $grupyt_ext = $contactTreeDialog.find('input.grupyt_ext');
                    var j, gid = 0;

                    for ( var i = 0; i < contact_tree.length; i++ ) {
                        gid = contact_tree[i].gid;

                        if ( contact_tree[i].ext ) {
                            for ( j = 0; j < $grupyt_ext.length; j++ ) {
                                if ( !$grupyt_ext[j].disabled && $grupyt_ext[j].value == gid ) {
                                    //$grupyt_ext[j].checked = true;
                                    $grupyt_ext[j].onclick();
                                }
                            }
                        } else {
                            for ( j = 0; j < $grupyt.length; j++ ) {
                                if ( !$grupyt[j].disabled && $grupyt[j].value == gid ) {
                                    //$grupyt[j].checked = true;
                                    $grupyt[j].onclick();
                                }
                            }
                        }
                    }
                }

                $contactTreeDialog.dialog('open');
            }
        });

        return false;
    });
});