function fit_window_size(){

    var doc_width, doc_height,
        win_width_i, win_height_i,
        win_width_o, win_height_o;

    win_width_o = window.outerWidth;
    win_height_o = window.outerWidth

    if ( document.body.scrollHeight ){ // all but Explorer Mac
    		doc_height = document.body.scrollHeight;
    		doc_width = document.body.scrollWidth;
    } else { // works in Explorer 6 Strict, Mozilla (not FF) and Safari
    		doc_height = document.body.offsetHeight;
    		doc_width  = document.body.offsetWidth;
    }


    if (parseInt(navigator.appVersion)>3) {
        if (navigator.appName == "Netscape" ) {
            win_width_i = window.innerWidth ;
            win_height_i = window.innerHeight;
        }else if (navigator.appName.indexOf("Microsoft")!=-1) {
            win_width_i = document.body.offsetWidth;
            win_height_i = document.body.offsetHeight;
        }
    }

    if( window.statusbar ){
        win_height_i += 56;
    }

    var resize = false;
    var resize_width = 0 , resize_height = 0;

    if( doc_width > win_width_i ){
        resize = true;
        resize_width = (doc_width - win_width_i);
    }

    if( doc_height > win_height_i ){
        resize = true;
        resize_height = (doc_height - win_height_i);
    }


    if( resize){
        if( win_width_i + resize_width > screen.availWidth ){
            resize_width =  screen.availWidth - win_width_i;

        }

        //window.moveTo(top, left);

        var availHeight = screen.availHeight - 35;
        if( win_height_i + resize_height > availHeight ){
            resize_height =  availHeight - win_height_i;
        }

        //screenX screenY

        window.moveBy( -resize_width / 2, -resize_height  );

        window.resizeBy( resize_width, resize_height);
    }
}
