

/******************************************************************************/
/****                                Tables                                ****/
/******************************************************************************/



CREATE TABLE WWW_KUPONY_REGULY (
    KUPON_RABATOWY_ID  SLOWNIK_D NOT NULL /* SLOWNIK_D = INTEGER */,
    ITEM_TYPE          SMALLINT,
    ITEM_ID            SLOWNIK_D NOT NULL /* SLOWNIK_D = INTEGER */
);




/******************************************************************************/
/****                             Foreign Keys                             ****/
/******************************************************************************/

ALTER TABLE WWW_KUPONY_REGULY ADD CONSTRAINT WWW_KUPONY_REGULY_KUPON_ID_FK FOREIGN KEY (KUPON_RABATOWY_ID) REFERENCES WWW_KUPONY_RABATOWE (ID) ON DELETE CASCADE ON UPDATE CASCADE;


/******************************************************************************/
/****                              Privileges                              ****/
/******************************************************************************/



/* Privileges of roles */
GRANT ALL ON WWW_KUPONY_REGULY TO WWW_ROLE;
