{literal}
<style type="text/css">
/* Oglne style dla caej strony, */
BODY, H1, H2, H3, H4, H5, P, UL, OL, DL, DIV, TABLE, TD, TH, CENTER, BLOCKQUOTE, A, FORM, INPUT, TEXTAREA, SELECT, OPTION {
  font-family: Tahoma, Helvetica, Arial, sans-serif;
  color: #777777;
}

/*
Wymieniam wszystkie znaczniki, cho wystarczyoby zastosowanie body, jednak
nie wszystkie przegladarki rozumieja dziedziczenie kaskadowych arkuszy stylw
*/
BODY, P, UL, OL, DL, DIV, TABLE, TD, TH, FORM, INPUT, TEXTAREA, SELECT, OPTION  {
    font-size: 9pt;
}

BODY { margin: 0px; }

H1, H2, H3, H4, H5 {
    font-weight: normal;
    color: #999933;
}

H1 { font-size: 11pt; }

H2 { font-size: 10pt; }

H3 { font-size: 8pt; }

H4 { font-size: 7pt; }

H5 { font-size: 6pt; }

P, UL, OL, DL, BLOCKQUOTE {
    line-height: 1.2;
    text-align: justify;
}

/******************************************************************************/
/*      Oglne
/******************************************************************************/

TABLE {empty-cells: show;}
IMG { border: 0px; }
.clear{clear: both; height: 1px; overflow: hidden;}
.small{font-size: 8pt;}


/******************************************************************************/
/*      Listy i wypunktowania
/******************************************************************************/
OL, UL { margin-left: 0px; padding-left: 24px; }
UL { list-style-type: square; }
LI { line-height: 1.2; }



/******************************************************************************/
/*      LINKI
/******************************************************************************/
A {text-decoration: none; color: #333333;}
A:hover {text-decoration: none;color: #aaaaaa;}
A IMG { border: 0px; }


/******************************************************************************/
/*      Nagwek i gwna tabelka zawierajaca stron
/******************************************************************************/
DIV.main {width: 100%; text-align: center;}
DIV.page {width: 901px;margin: auto;text-align: left;}

/******************************************************************************/
DIV.header { border-top: solid 2px #FE730D;; border-bottom: solid 2px #FE730D; background: url({$SITE_URL}{$SZABLON_URL}/images/e-sklep.jpg) bottom right no-repeat;}
DIV.header DIV.hspace { height: 14px; overflow: hidden;}
DIV.header DIV.logo { position: relative; margin: 0px 0px 0px 0px;}
DIV.reklama{margin: 0px 0px 0px 220px;}


/******************************************************************************/
/*      Stopka
/******************************************************************************/

DIV.footer {
    width:100%;
    padding: 5px 0px 5px 0px;
    text-align:center;
    vertical-align: middle;
    border-top:solid 2px #76AC0C;
    border-bottom:solid 2px #76AC0C;
    background: white;
    color: #777777;
    clear: both;
    font-size:8pt;
    margin-bottom: 1px;
}

DIV.footer A, DIV.footer A:link, DIV.footer A:hover, DIV.footer A:active, DIV.footer A:visited {
    color: #777777; text-decoration: underline;
}
DIV.footer A:hover{ text-decoration: none; }

/******************************************************************************/
DIV.bar, DIV.blue_bar, DIV.green_bar, DIV.orange_bar{
  text-align: left; padding: 0px; vertical-align: top; height: 22px; color: white; font-weight:bold;
  display: block;
}

DIV.box{
  display: block;
  border: solid 1px #E7E7E7;
  font-size: 8pt;
  padding: 2px ;
  margin: 2px 0px 16px 0px;
}

DIV.label{
  display: block;
  color: #9C9C9C;
  padding: 4px 0px 2px 0px;
  font-size: 8pt;
}

.blue_bar {
  background: url({$SITE_URL}{$SZABLON_URL}/images/bars/blue_bar_bg.gif) repeat-x 0px 0px;
  height: 21px;
  padding: 0px;
  color: white;
  font-weight:bold;
  margin: 0px;
  padding-top: 3px;
  vertical-align:middle;
}


.orange_bar {
  background: url({$SITE_URL}{$SZABLON_URL}/images/bars/orange_bar_bg.gif) repeat-x;
  height: 21px;
  padding: 0px;
  padding-top: 3px;
  color: white;
  font-weight:bold;
  margin: 0px;
  vertical-align:middle;
}

.green_bar {
  background: url({$SITE_URL}{$SZABLON_URL}/images/bars/green_bar_bg.gif) repeat-x;
  height: 21px;
  padding: 0px;
  padding-top: 3px;
  color: white;
  font-weight:bold;
  margin: 0px;
}

.blue_bar IMG, .green_bar IMG, .orange_bar IMG {
    margin-top:-3px;
}

.raks_logo_small { float:left; vertical-align:middle; margin-right: 4px;}



/******************************************************************************/
/* Tabelka do wywietlania artykuw
/******************************************************************************/
TABLE.browser { border: 1px solid #a0a0a0; }

TR.browserhead { background: transparent url({$SITE_URL}{$SZABLON_URL}/images/bars/browser_head_bg.gif) repeat-x; color : white;}
TR.browserhead TH, TR.browserhead TD, TD.browserhead, TH.browserhead {background: transparent url({$SITE_URL}{$SZABLON_URL}/images/bars/browser_head_bg.gif) repeat-x;
    color : black; padding: 4px 4px 4px 10px; height: 32px; border-top: solid 1px #efefef;
}
.wiersz1{background-color: #ffffff;}
.wiersz2{background-color: #f4f4f4;}
.highlight{background-color: #dddddd;cursor: default;}
TR.browserodd { background-color: #f4f4f4; }
TR.browserodd:hover { background-color: #f0eef6; }
TR.browsereven { background-color: #ffffff; }
TR.browsereven:hover { background-color: #f0eef6; }
TR.browserodd TD, TR.browsereven TD { padding: 4px; border-top: 1px solid #e0e0e0;}
TR.browserow TD{ border-top: 1px solid #e0e0e0;}
TR.browserhead + TR.browserodd TD {border-top: 0px;}
TD.browserno {font-size: 6pt;text-align: right;}

/*    Koniec tabelki do wywietlania artykuw
/******************************************************************************/

/******************************************************************************/
/*      Strona wywietlajca informacj o towarze                             */
/******************************************************************************/
/* naglwek z nazw towaru */
H2.title{
    font-weight: normal;
    text-transform: uppercase;
    color: #999933;
    font-size : 12pt;
    font-weight : bold;
    text-align : left;
    padding-left : 10px;
}

/* input do wywietlenia ilosci zamwionych towarw */
INPUT.number{
  height: 22px;
  vertical-align: middle;
}

TABLE.towar_info { }

TABLE.towar_info .srodek{
  text-align: center;
}

TABLE.towar_info .brutto{
  color: #2A5EC7;
  font-weight:bold;
}

TABLE.towar_info UL { margin:0; padding:0; list-style:none; }
TABLE.towar_info UL li { background: no-repeat; text-align:left; }
TABLE.towar_info UL li a { text-decoration:none; font-size: 8pt; color:#7D7D7D; padding-left:12px; background:url({$SITE_URL}{$SZABLON_URL}/images/icons/pimp.gif) no-repeat -6px -5px; }
TABLE.towar_info UL li a:hover { text-decoration:none; color:#595A65;}


TABLE.towar_info TR.browserodd {
    border: none 0px;
}

TABLE.towar_info TR.browserodd TD, TABLE.towar_info TR.browsereven TD {
    border: none;
    padding: 0px;
}

TABLE.towar_info TR.browserodd TD.tabcell, TABLE.towar_info TR.browsereven TD.tabcell {
    padding: 6px 4px 6px 4px;
    border-bottom: solid 1px #E0E0E0;
}

TABLE.towar_info TD.tabcell + TD.tabcell {
  border-left:solid 1px #E0E0E0;
}

.towar_image{
  padding: 10px;
  text-align: center;
  border: solid 1px #E0E0E0;
  margin-left: 10px;
}

.towar_image IMG{
  margin: 0px; padding: 0px; border: none; vertical-align: middle;
}


/*pasek gdzie s wywietlane mae obrazki */
DIV.towar_img_mini{
  padding: 2px 0px 2px 0px;
  display: block;
  overflow: show;

  /*border: solid 1px #595A65;; */
  margin: 10px 0px 0px 0px;
}

DIV.towar_img_mini IMG{
  border: solid 1px #eaeaea;
  background: white;
  margin-right: 8px;
  vertical-align: middle;
  padding: 5px;
}

p.nowarranty{
  margin-top: 14px;
  padding-top: 8px;
  padding-bottom: 8px;
  border-top: solid 1px #E0E0E0;
  font-size: 7.5pt;
  color: #7D7D7D;
  text-indent: 0.5cm;
}
</style>
{/literal}
