<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

//smarty_function_allegro_disp_sff

function smarty_function_allegro_print_params( $params, &$smarty ){
    GLOBAL $allegro_sff;

    $aukcja = $smarty->get_template_vars('aukcja');

    $left_column = $right_column = $bottom = array();

    $lp = count($aukcja->params);

    if( $lp == 0 ) return '';

    echo '<div class="allegro_bar">Parametry</div>' . "\n";
    
    for( $i = 0, $l = 0; $i < $lp; $i++ ){
        if( count($aukcja->params[$i]['values']) > 1 ){
            $bottom[] = $i;
        }else{
            if( ( ($l++) % 2 ) ){
                $right_column[] = $i;
            }else{
                $left_column[] = $i;
            }
        }
    }

    $attribs  = '';
    $attribs .= '<table width="100%" cellspacing="0" cellpadding="0" class="attribs-tab">';
    $attribs .= '	<tbody>';

/**************************************************************************************************/

    $attribs .= '  <tr>' . "\n";
		$attribs .= '    <td width="50%" valign=top>' . "\n";
    $attribs .= '    <table cellspacing="0" cellpadding="0" border="0">' . "\n";
    $attribs .= '	     <tbody>' . "\n";
    for( $i = 0, $lp = count($left_column); $i < $lp; $i++){
        $pi  = $left_column[$i];

        $attribs .= '<tr>' . "\n";
      	$attribs .= '	<td class="nowrap attribs-hsep">'.$aukcja->params[$pi]['name'].':</td>' . "\n";
      	$attribs .= '	<td class="bold nowrap attribs-hsep">'.$aukcja->params[$pi]['values'][0].'</td>' . "\n";
      	$attribs .= '</tr>' . "\n";
    }
    $attribs .= '      </tbody>' . "\n";
    $attribs .= '    </table>' . "\n";
    $attribs .= '  </td>' . "\n";
/**************************************************************************************************/

    $attribs .= '  <td width="50%" valign=top>' . "\n";
    $attribs .= '    <table cellspacing="0" cellpadding="0" border="0">' . "\n";
    $attribs .= '	     <tbody>' . "\n";
    for( $i = 0, $lp = count($right_column); $i < $lp; $i++){
        $pi = $right_column[$i];
        
        $attribs .= '<tr>' . "\n";
      	$attribs .= '	<td class="nowrap attribs-hsep">'.$aukcja->params[$pi]['name'].':</td>' . "\n";
      	$attribs .= '	<td class="bold nowrap attribs-hsep">'.$aukcja->params[$pi]['values'][0].'</td>' . "\n";
      	$attribs .= '</tr>' . "\n";
    }
    
    $attribs .= '      </tbody>' . "\n";
    $attribs .= '    </table>' . "\n";
    $attribs .= '  </td>' . "\n";
	  $attribs .= '</tr>' . "\n";

/**************************************************************************************************/
    $attribs .= '<tr>' . "\n";
		$attribs .= '  <td colspan=2>' . "\n";
    $attribs .= '    <table cellspacing="0" cellpadding="0" border="0">' . "\n";
    $attribs .= '	     <tbody>' . "\n";
    for( $i = 0, $lp = count($bottom); $i < $lp; $i++){
        $pi = $bottom[$i];
        
        $attribs .= '<tr>' . "\n";
      	$attribs .= '	<td class="nowrap attribs-hsep">'.$aukcja->params[$pi]['name'].':</td>' . "\n";
      	$attribs .= '	<td class="bold nowrap attribs-hsep">'.implode(', ', $aukcja->params[$pi]['values']).'</td>' . "\n";
      	$attribs .= '</tr>' . "\n";
    }
    $attribs .= '      </tbody>' . "\n";
    $attribs .= '    </table>' . "\n";
    $attribs .= '  </td>' . "\n";
	  $attribs .= '</tr>' . "\n";

/**************************************************************************************************/
    $attribs .= '</tbody>';
    $attribs .= '</table>';

    return $attribs;
}

?>
