<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty {sonda_wyniki} function plugin
 *
 * File:       function.sonda_wyniki.php<br>
 * Type:       function<br>
 * Name:       make_btn<br>
 * Date:       2007-11-15<br>
 * Purpose:    Prints out a list of checkbox input types<br>
 * Input:<br>
 *           - id      (required) - string default "checkbox"
 *           - adres      (optional) - string default ""
 *           - parametry  (optional) - string default array()
 * Examples:
 * <pre>
 * {sonda_wyniki id=72}
 * </pre>
 * @author     Marcin Horosz <marcin@solution-4u.com>
 * @version    1.0
 * @param array
 * @param Smarty
 * @return string
 */



include_once( CLASS_DIR.'/SondaClass.php');
 

 
function smarty_function_sonda_wyniki($params, &$smarty){
    global $_GET;
    
    header("Content-Type: text/html; charset=iso-8859-2");
    
    $id = 0;
    $glos = 0;
        
    foreach( $params as $_key => $_val) {
        switch($_key) {
            case 'glos':
                $glos = $_val;
            break;
                
            case 'id':
                $id =$_val;
            break;
                
        }
    }
    
    if( isset($_SERVER['REDIRECT_QUERY_STRING']) ){
        parse_str( $_SERVER['REDIRECT_QUERY_STRING'], $p);
        $id = isset($p['id']) ? $p['id'] : $id;
        $glos = isset($p['glos']) ? $p['glos'] : $glos;
        $horizontal = isset($p['glos']) ? $p['glos'] : $glos;
    }
    
$sonda = new SondaClass();
$sonda->ID=$id;
//podbijam gosy
if( $glos != 0 ) $sonda->glosuj($id,$glos);

$sonda->pobierz($id);
$smarty->assign('sonda' , $sonda);
if($obiekty) $smarty -> wyswietl('sondaWyniki.tpl');

}

?>
