<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


function smarty_function_sql_dump($params, &$smarty){
    global $dbh1;

    if ( !is_resource($dbh1) ) {
        return;
    }

//     if ( (!defined('EC_SQL_DUMP') || EC_SQL_DUMP != 1) && empty($params['force']) ) {
//         return;
//     }

    $script_params = $smarty->get_template_vars('script_params');
    //if ( isset($script_params['ec_debug']) && ($script_params['ec_debug'] == 'show-queries' || $script_params['ec_debug'] == 'queries'  || $script_params['ec_debug'] == 'sql') ) {
/**
 * funckcja e-commerce która wyświetla zapytania do bazy danych, mozna przygotować swoje własne,
 * wyswietlanie zapytań. Zapytania są zebrane w tablicy o nazwie $DB_QUERIES. Przykład wyświetlenia
 * zapytań został przedstawiony poniżej
 */

    db_queries_print();
?>
<script type="text/javascript">
$('#ec_sql_dump tr').hover(function(){
  $('td', this).css({'background-color' : '#ffff00' })
}, function(){
  $('td', this).css({'background-color' : 'transparent' })
});

</script>
<?php
    //}
}

/**
 *
 * Przykład wyświetlenia zapytań z tabeli DB_QUERIES
 *
 */
function _sql_dump_queries_print(){
    GLOBAL $DB_QUERIES, $script_start,$ajax;

    echo '<table class="queries" cellpadding=2 cellspacing=0 border=1>'."\n";
    echo '<thead>'."\n";
    echo "\t".'<tr>'."\n";
    echo "\t\t".'<th class="lp" width="20px">Lp.</th>'."\n";
    echo "\t\t".'<th class="dbh" width="20px">#</th>'."\n";
    echo "\t\t".'<th class="time" width="50px">Czas</th>'."\n";
    echo "\t\t".'<th class="query">Zapytanie</th>'."\n";
    echo "\t\t".'<th class="location">Plik</th>'."\n";
    echo "\t".'</tr>';
    echo '</thead>'."\n";

    echo '<tbody>'."\n";
    for ( $i = 0, $lp = count($DB_QUERIES); $i < $lp; $i++ ) {
        echo "\t".'<tr>'."\n";
        echo "\t\t".'<td class="lp" width="20px">'.($i+1).'.</td>'."\n";
        echo "\t\t".'<td class="dbh" width="20px">'.$DB_QUERIES[$i]['dbh'].'.</td>'."\n";
        echo "\t\t".'<td class="time" width="50px">'.sprintf( '%02f', round($DB_QUERIES[$i]['time'], 6) ).'s</td>'."\n";
        echo "\t\t".'<td class="query">'.$DB_QUERIES[$i]['query'].( $DB_QUERIES[$i]['error'] ? '<div class="error">'.$DB_QUERIES[$i]['error'].'</div>' : '' ).'</td>'."\n";
        echo "\t\t".'<td class="location">'.$DB_QUERIES[$i]['location']. '</td>'."\n";
        echo "\t".'</tr>'."\n";
    }
    echo '</tbody>'."\n";
    echo '</table>'."\n";

    echo '<div style="text-align:center">Czas generowania strony: '.sprintf( '%0.4f', fmicrotime() - $script_start).'<br /></div>';
}

