// JavaScript Document
var form_name = 'allegro_import_form';
var o_allegro_ajax = createXmlHttpRequestObject();

/**************************************************************************************************/

function allegro_import( ajax, fname ){
    if( arguments.length > 1 ){
        form_name = fname;
    }

    var f = document.forms[form_name];

    if( !f ){
        alert('Nie znaleziono formularza o nazwie: ' + form_name);
        return false;
    }

    if( !ajax ){
        f.submit();
        return;
    }

    if( o_allegro_ajax ){
        try{
            /* jeli obiekt XMLHttpRequest nie jest zajty obsug poprzedniego dnia... */
            if (o_allegro_ajax.readyState == 4 || o_allegro_ajax.readyState == 0){
              showTlo();

              showLoading();

              progress_init();

              if( send_form( o_allegro_ajax, f, allegro_import_response ) ){
                  progress_start();
              }
            }else{ // jeli jest zajty...
                alert('Uwaga jeszcze trwa import!');
            }
        }catch(e){
            alert("Nie mog poczy si z serwerem:\n" + e.toString());
        }
    }
}


function allegro_import_response(){
    //po ukoczeniu procesu, decyduje co zrobi z otrzymanymi danymi
    if (o_allegro_ajax.readyState == 4){
        //tylko jeli status dania HTTP jest "OK"
        if (o_allegro_ajax.status == 200){
            try{
                progress_end();

                //na wszelki wypadek ostatnie pobranie danych z serwera
                timeoutId = setTimeout( get_progress, 500 );

                var data = null;
                try {
                    data = eval('(' + o_allegro_ajax.responseText + ')');
                } catch( err ) {
                    data = null;
                }

                if ( data || o_allegro_ajax.responseText.match(/^[\+]?OK[\:]?/ ) ) {
                    var is_ok = true;
                    if ( data && data.type  )  {
                        if ( data.type == 'error' && data.message ) {
                            alert('Wystapiy bdy!' +  data.message );
                            is_ok = false;
                        }
                    }

                    if ( is_ok ) {
                        alert('Import zosta zakoczony pomylnie.');

                        //document.location.reload(true);
                        window.location = SELF_URL + '?action=' + action + '&mode=start';
                    }
                } else {
                    var err_msg = xml_get_errors( o_allegro_ajax );

                    if ( err_msg ) {
                        alert('Wystapiy bdy!' +  err_msg );
                    }else{
                        alert('Wystapiy bdy!' +  o_allegro_ajax.responseText );
                    }
                }
                progress_clean();

                hideLoading();
                hideTlo();

                return true;
            }catch(e){
                displayError(e.toString());
            }
        }else{
            displayError("Wystpi problem podczas pobierania danych:\n" + o_allegro_ajax.responseText);
        }
    }
}


function allegro_items_import(){
    allegro_import( true, 'allegro_items_import_form' );
}
