var o_opakowania = new Object();
var b_opakowania = false;
var o_opk_ajax = createXmlHttpRequestObject();
var opk_id = -1;

function Opakowania( settings ){

    this.o_ajax = createXmlHttpRequestObject();

    this.a_items = [];

    this.n_opk_id = -1;
    
    this.n_item = -1;

    this.o_div = document.getElementById(settings.div_id);
    
    if( !this.o_div ){
        console.log('Bd nie ma: ' + settings.div_id);
    }
    
    if( settings.form_name ){
        this.o_form = document.forms[settings.form_name];
    }else{
        this.o_form = document.forms['towar_opakowanie_form'];
    }

    if( settings.form_div_id ){
        this.o_form_div = document.getElementById(settings.form_div_id);
    }else{
        this.o_form_div = document.getElementById('towar_opakowanie_form_div');
    }

    if( settings.var_name ){
        this.s_var_name = settings.var_name;
    }else{
        this.s_var_name = 'towar_opakowania';
    }
    
    if( settings.items ){
        this.a_items = settings.items;
    }
    
    if( settings.prefix ){
        this.prefix = settings.prefix;
    }else{
        this.prefix = 'towar';
    }
    
    
    this.o_usun_btn =  document.getElementById('towar_opakowanie_usun_btn');


    this.show_form = opakowania_show_form;
    this.add_edit = opakowania_add_edit;
    this.usun = opakowania_usun;
    this.print  = opakowania_print;
    this.anuluj = opakowania_anuluj;
    this.form_clear =opakowania_form_clear;
    
    var o_self = this;
    
    this.o_form.onsubmit = function(){
        o_self.add_edit();
        return false;
    }

    add_event( 'load', window, function(){ o_self.print(); opakowania_wczytaj();  }, false );
}

/**************************************************************************************************/

function opakowania_show_form( action ){
    if( action == 'edit' ){
        if( this.o_usun_btn ) this.o_usun_btn.style.display = '';

        if( this.n_item  < 0 ){
            alert('Kliknij dwa razy na opakowanie aby go edytowa lub kliknij raz na towar_opakowanie, a nastpnie wcinij przycisk edycja.');
            
            return;
        }else if(this.n_item  > this.a_items.length ){
            this.n_item = this.a_items.length;
        }
    }else{
        if( this.o_usun_btn ) this.o_usun_btn.style.display = 'none';
        
        this.n_item = this.a_items.length;
    }

    try{ showTlo(); }catch(e){ }

/******************************************************************************/

    if( typeof(this.a_items[this.n_item]) == 'object' ){
        var o_item = this.a_items[this.n_item];
        
        this.o_form.elements['KOD_KRESKOWY'].value = o_item.KOD_KRESKOWY;
        this.o_form.elements['POJEMNOSC'].value = o_item.POJEMNOSC;
        this.o_form.elements['UWAGI'].value = o_item.UWAGI;
        this.o_form.elements['ID_OPAKOWANIA'].value = o_item.ID_OPAKOWANIA;

        if( this.o_form.elements['DOMYSLNA'])
            this.o_form.elements['DOMYSLNA'].checked = (o_item.DOMYSLNA == 1);
    }

    center_both_obj( this.o_form_div );

    this.o_form.elements['KOD_KRESKOWY'].focus();
    
/******************************************************************************/

}

function opakowania_anuluj(){

    hide_obj( this.o_form_div );

    try{ hideTlo(); }catch(e){}
}

function opakowania_form_clear(){
    //this.o_form.elements['ID'].value = '';
    this.o_form.elements['POJEMNOSC'].value = '';
    this.o_form.elements['UWAGI'].value = '';
    this.o_form.elements['KOD_KRESKOWY'].value = '';
    this.o_form.elements['ID_OPAKOWANIA'].value = '';

    if( this.o_form.elements['DOMYSLNA'] )
        this.o_form.elements['DOMYSLNA'].checked = false;
}

function opakowania_add_edit( ){

    var KOD_KRESKOWY = this.o_form.elements.KOD_KRESKOWY.value;
    var POJEMNOSC = number_format(this.o_form.elements.POJEMNOSC.value);
    if( POJEMNOSC < 0 ){
        alert('Pojemno opakowania nie moe by mniejsza od zera.');
        return false;
    }
    
    var UWAGI = this.o_form.elements.UWAGI.value;
    var DOMYSLNA = (this.o_form.elements.DOMYSLNA.checked ? 1 :0);
    
    var opk_id = parseInt(this.o_form.elements['ID_OPAKOWANIA'].value);

    if( isNaN(opk_id)  ){ opk_id = 0; }
    
    var NAZWA_OPAKOWANIA = 'Brak';

    if( opk_id > 0 )
        NAZWA_OPAKOWANIA = this.o_form.elements['ID_OPAKOWANIA'].options[this.o_form.elements['ID_OPAKOWANIA'].selectedIndex].text;

    for( var i = 0; i < this.a_items.length; i++ ){
        if( this.a_items[i].ID_OPAKOWANIA == opk_id ){
            if( i != this.n_item ){
                alert('Wybrane przez ciebie opakowanie, zostao ju okrelone dla tego towaru!');
                return false;
            }
        }
    }

    if( DOMYSLNA ){
        for( var i = 0; i < this.a_items.length; i++ ){
             this.a_items[i].DOMYSLNA = 0;
        }
    }

    this.a_items[this.n_item] = {
        'KOD_KRESKOWY': KOD_KRESKOWY,
        'POJEMNOSC'   : POJEMNOSC,
        'UWAGI'       : UWAGI,
        'DOMYSLNA'    : DOMYSLNA,

        'ID_OPAKOWANIA'   : opk_id,
        'NAZWA_OPAKOWANIA': NAZWA_OPAKOWANIA,
        
        'zmieniony'     : 1
    };

    //do przerobienia
    this.print();

    this.form_clear();

    this.anuluj();
}

function opakowania_print(){
    //if( opakowania.length == 0) return;

    var i = 0;

    var str = '';
    str = '<table width=100% align="center" cellpadding=2 cellspacing=0 class="grid" id="' + this.prefix + '_opakowania_grid">';
    str += '<tr>';
    str += '  <th align=center width=20>#</th>';
    str += '  <th align=center width=20>D</th>';
    str += '  <th align=center >Kod kreskowy</th>';
    str += '  <th align=center width=50>Pojemno</th>';
    str += '  <th align=center width=140>Opakowanie</th>';
    str += '</tr>';

    for( i = 0; i < this.a_items.length; i++ ){
        str += '<tr onclick="podswietl_wiersz(this); '+this.s_var_name+'.n_item = ' + i + '; " ondblclick="'+this.s_var_name+'.show_form( \'edit\', ' + i + ');" class="wiersz' + ( (i%2) + 1 ) + ((this.n_item == i)?' highlight':'')+'">';
        str += '    <td align=right width=20>' +( i + 1 )+ '. <input type="hidden" name="opakowania['+i+'][zmieniony]" value="' + this.a_items[i]['zmieniony'] + '" ></td>';
        str += '    <td align=center width=20><div class="check'+this.a_items[i].DOMYSLNA+'">&nbsp;</div> <input type="hidden" name="opakowania['+i+'][DOMYSLNA]" value="' + this.a_items[i]['DOMYSLNA'] + '" ></td>';
        str += '    <td align=left>' + this.a_items[i].KOD_KRESKOWY + ' <input type="hidden" name="opakowania[' + i + '][KOD_KRESKOWY]" value="' + this.a_items[i]['KOD_KRESKOWY'] + '" > </td>' ;
        str += '    <td align=center width=50>' + this.a_items[i].POJEMNOSC + ' <input type="hidden" name="opakowania[' + i + '][POJEMNOSC]" value="' + this.a_items[i]['POJEMNOSC'] + '" >  </td>' ;
        str += '    <td align=left width=140>' + this.a_items[i].NAZWA_OPAKOWANIA + ' <input type="hidden" name="opakowania[' + i + '][ID_OPAKOWANIA]" value="' + this.a_items[i]['ID_OPAKOWANIA'] + '" > <input type="hidden" name="opakowania[' + i + '][NAZWA_OPAKOWANIA]" value="' + this.a_items[i]['NAZWA_OPAKOWANIA'] + '" > <input type="hidden" name="opakowania[' + i + '][UWAGI]" value="' + this.a_items[i]['UWAGI'] + '" ></td>' ;
        str += '</tr>';
    }
    str += '</table>\n';

    this.o_div.innerHTML = str;

    if( this.n_item >= 0 && this.n_item < this.a_items.length ){
        //to do podwietlania
        var rows = this.o_div.getElementsByTagName('TR');
        //zaznaczam wiersz zeby potem mc go zgasi
        old_row = rows[this.n_item + 1];
    }

    var o_self = this;
    
    grid_setup( this.prefix + '_opakowania_grid', {
        'ondelete' : function(){ o_self.usun(arguments[0], arguments[1]) },
        'onenter' : function(){ o_self.show_form('edit', arguments[0], arguments[1]) },
      } );
}

function opakowania_usun( num ){
    if( arguments.length > 0  ){
        this.n_item = num;
    }

    if( this.n_item <  0){
        alert('Kliknij najpierw na warto, a nastpnie wcinij przycisk usu.');
        
        return;
    }

    if( this.a_items[this.n_item] && this.a_items[this.n_item]['ID'] > 0  ){
        o_input  = document.createElement('input');
        o_input.type  = 'hidden';
        o_input.name  = 'opakowania2delete[]';
        o_input.value = opakowania[num]['opk_id'];

        this.o_form.appendChild(o_input);
    }

    this.o_items.splice(this.n_item, 1);

    this.print();
}



/**************************************************************************************************/

function opakowania_wczytaj(){
    server_connect( o_opk_ajax, ADMIN_URL + '?action=' + ACTION_OPAKOWANIA + '&mode=' + MODE_AJAX + '&ajax=1', opakowania_wczytaj_response  );
}

function opakowania_wczytaj_response( o_xml, o_txt ){
    if( arguments.length < 2 ){
        alert('Bdna odpowied serwera. Sprbuj ponownie wybra kontrahentw.');
        return false;
    }
    

    var o_opakowanie_xml, o_opakowania_xml = o_xml.getElementsByTagName('opakowanie');
    var o_opakowanie = null;
    var opakowania_select = new Object();

    var atrybut, i, j;

    for( i = 0; i < o_opakowania_xml.length; i++){
        o_opakowanie_xml = o_opakowania_xml.item(i);

        o_opakowanie = new Object();

        for( j = 0; j < o_opakowanie_xml.attributes.length; j++){
            atrybut = o_opakowanie_xml.attributes.item(j);
            o_opakowanie[atrybut.name] = atrybut.value;
        }
        
        opakowania_select[o_opakowanie.ID] = o_opakowanie.NAZWA;
    }

    make_select( document.forms['towar_opakowanie_form'].elements['ID_OPAKOWANIA'], opakowania_select );
    
    b_opakowania = true;
}

function towar_opakowanie_onchange( o_sel ){
    
    var opk_id = o_sel.value;

    if( o_opakowania[opk_id] ){
        towar_opakowanie_update(o_opakowania[opk_id], o_sel.form);
    }else{
        server_connect( o_opk_ajax, ADMIN_URL + '?action=' + ACTION_OPAKOWANIA + '&mode=' + MODE_AJAX + '&ajax=1&ID=' + opk_id, opakowanie_response );
    }
}


function opakowanie_response( o_xml, o_txt ){

    if( arguments.length < 2 ){
        alert('Bdna odpowied serwera. Sprbuj ponownie wybra kontrahentw.');
        return false;
    }

    var o_opakowanie_xml = o_xml.getElementsByTagName('opakowanie').item(0);
    var o_opakowanie = new Object();
    var atrybut, j;

    o_opakowanie = new Object();

    for( j = 0; j < o_opakowanie_xml.attributes.length; j++){
        atrybut = o_opakowanie_xml.attributes.item(j);
        o_opakowanie[atrybut.name] = atrybut.value;
    }

    o_opakowania[o_opakowanie.ID] = o_opakowanie;

    towar_opakowanie_update(o_opakowanie);
}

function towar_opakowanie_update(  o_opakowanie, o_form ){

    if( arguments.length < 2 ){
        o_form = document.forms['towar_opakowanie_form'];
    }

    o_form.POJEMNOSC.value = o_opakowanie.POJEMNOSC;
    o_form.UWAGI.value = o_opakowanie.UWAGI;

}

function opakowanie_kod_kreskowy_dodaj_tag( o_el ){
    if( document.forms['towar_opakowanie_form'].elements['KOD_KRESKOWY'].value == "" ){
        document.forms['towar_opakowanie_form'].elements['KOD_KRESKOWY'].value = o_el.innerHTML;
    }else{
        document.forms['towar_opakowanie_form'].elements['KOD_KRESKOWY'].value += '-' + o_el.innerHTML;
    }
}
