/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
/**
 * Binarne wyszukiwanie w posortowanej tablicy, mam nadzieje e przyspieszy dodawanie wybranych elementw
 * do tablicy
 */
Array.prototype.binarySearch = function(find, comparator) {
    var low = 0, high = this.length - 1, i, comparison;

    if ( typeof(comparator) != 'function' ) {
        comparator = function (a, b) {
            return a - b;
        }
    }

    while ( low <= high ) {
        i = Math.floor((low + high) / 2);
        comparison = comparator(this[i], find);
        if ( comparison < 0 ) {
            low = i + 1;
            continue;
        };

        if ( comparison > 0) {
            high = i - 1;
            continue;
        };

        return i;
    }

    return -1;
};

/**
 * Binarne wstawienie do posortowanej tablicy,
 */
Array.prototype.qpush = function( find, comparator ) {
    var low = 0, high = this.length - 1, i, comparison;

    if ( typeof(comparator) != 'function' ) {
        comparator = function (a, b) {
            return a - b;
        }
    }

    while ( low <= high ) {
        i = Math.floor((low + high) / 2);

        comparison = comparator(this[i], find);
        if ( comparison < 0 ) {
            low = i + 1;
            continue;
        };

        if ( comparison > 0) {
            high = i - 1;
            continue;
        };

        //nie wstawiamy
        return i;
    }


    if ( high < 0 ) {
        i = 0
    } else if ( low >= this.length ){
        i = this.length;
    } else {
        i = low;
    }

    this.splice( i, 0, find );
    return i;
};


