// JavaScript Document
var POZYCJA_VAT = 0;

function rabat_onchange( o_select ){
    var o_form = o_select.form;

    if( o_select.selectedIndex > 0 && rabaty[o_select.value] ){
        o_form.elements['rabat'].value = rabaty[o_select.value].RABAT1;
    }else{
        o_form.elements['rabat'].value = '0';
    }
    
    przelicz_ceny(o_form.elements['cenab']);
}

function przelicz_ceny( o_input ){
    var od_brutto = ( typeof(SPOSOB_LICZENIA) != 'undefined' && SPOSOB_LICZENIA == 1);
    
    if( !o_input || o_input.value == '' ){
        return false;
    }

    var vat = 1 + (POZYCJA_VAT / 100);

    var o_form = o_input.form;
    
    var cena_netto  = round(number_format(o_form.cena.value), 2);
    var cena_brutto = round(number_format(o_form.cenab.value), 2);
    
    var cena_sp_netto  = round(number_format(o_form.cena_sp_netto.value),2);
    var cena_sp_brutto = round(number_format(o_form.cena_sp_brutto.value),2);
    
    var rabat = round(number_format(o_form.rabat.value),2);

    if( o_input.name == 'rabat' || o_input.name == 'cena' || o_input.name == 'cenab' ){

        if( o_input.name == 'rabat' ){
            if( rabat >= 100 ){
                rabat = 99.99;
            }

            var b_flag = false;
            for( var r in rabaty){
                if( rabat == rabaty[r].RABAT1 ){
                    b_flag = true;
                }
            }

            if( !b_flag ){
                o_form.elements['rabat_id'].selectedIndex = 0;
            }
        }else if( o_input.name == 'cena' ){
            if( cena_netto <= 0 ) o_form.cena.focus();
            cena_brutto  = round(cena_netto * vat, 2);
        }else{
            if( cena_brutto <= 0 ) o_form.cena_brutto.focus();
            cena_netto = round(cena_brutto / vat, 2);
        }
        
        if( od_brutto ){ //licze od brutto
            cena_sp_brutto = cena_brutto - round( cena_brutto * ( rabat / 100) , 2);
            cena_sp_netto = round(cena_sp_brutto / vat, 2);
        }else{ //licze od netto
            cena_sp_netto = cena_netto - round( cena_netto * ( rabat / 100) , 2);
            cena_sp_brutto  = round(cena_sp_netto * vat, 2);
        }
    }else if( o_input.name == 'cena_sp_netto' || o_input.name == 'cena_sp_brutto'  ){
        if( o_input.name == 'cena_sp_netto' ){
            cena_sp_brutto = round(cena_sp_netto * vat, 2);
        }else{
            cena_sp_netto = round(cena_sp_brutto / vat, 2);
        }
        
        if( cena_sp_brutto > cena_brutto ){
            rabat = 0;
            cena_netto = cena_sp_netto;
            cena_brutto = cena_sp_brutto;
        }else if( od_brutto ){ //licze od brutto
            //licze rabat
            rabat = round(((cena_brutto - cena_sp_brutto) / cena_brutto) * 100, 2);
            
            //cena_sp_brutto = cena_brutto - round( cena_brutto * ( rabat / 100) , 2);  tak le
            cena_sp_netto = round(cena_sp_brutto / vat, 2);
            cena_brutto = round( cena_sp_brutto * ( 100  / ( 100 - rabat)) , 2);
            cena_netto = round(cena_brutto / vat, 2);
        }else{ //licze od netto
            rabat = round(((cena_netto - cena_sp_netto) / cena_netto) * 100, 2);
            
            //cena_sp_netto = cena_netto - round( cena_netto * ( rabat / 100) , 2);
            cena_sp_brutto  = round(cena_sp_netto * vat, 2);
            cena_netto  = round( cena_sp_netto * ( 100  / ( 100 - rabat)) , 2);
            cena_brutto = round(cena_netto * vat, 2);
        }

        var rabat_old = round(number_format(o_form.rabat.value),2)
        if( rabat_old != rabat ){
            o_form.elements['rabat_id'].selectedIndex = 0;
        }
    }else{
        alert('Nierozpoznane pole');
        return;
    }


    var values = {
      'cena' : cena_netto,
      'cenab' : cena_brutto,

      'cena_sp_netto' :  cena_sp_netto,
      'cena_sp_brutto' : cena_sp_brutto,

      'rabat': rabat
    };

    for( var key in values ){
        if( typeof(o_form.elements[key]) == 'object' && o_form.elements[key] ){
            //if( key != o_input.name ){
                o_form.elements[key].value = currency_format(values[key]);
            //}
        }
    }
}

$(document).ready( function(){
    $(".cena").blur( function(){
        //console.log(this);
        przelicz_ceny(this);
    } );
} );




