// JavaScript Document
var PUNKT_ODBIORU_SP_DOST_ID = 0,
    //wybrany punkt odbioru
    PUNKT_ODBIORU = 0,
    //lista punktw odbioru pobrana z bazy raksa
    punkty_odbioru = null,
    //lista opcji do selecta
    punkty_odbioru_opcje = null,

    //select z Punktami odbioru do wyboru
    $punkt_odbioru = null,

    //div do mapy google jesli jest zdefiniowany jest div #punkt_odbioru_googlemap_canvas na stronie to nie bedzie
    //tworzony dialog do wyswietlenia mapy tylko wykorzystany div osadzony na stronie
    $punkt_odbioru_map_canvas = null,

    //ostatnio wpisany lub wybrany adres przez uzytkownika, zeby nie odswiezac listy punktw odbiory jesli nic sie nie zmienio
    punkt_odbioru_adres = null,
    //obiekt mapy google
    punkt_odbioru_google_map = null,
    punkt_odbioru_geocoder = null,
    //marker do oznaczenia punktu odbioru na mapie
    punkt_odbioru_marker = null;
    //okno dialogowe do wywietlenia mapy
    $punkt_odbioru_dialog = null;

/**************************************************************************************************/
var EC_DEBUG = true;

function ec_log(){
    //alert ( typeof(console) );
    if ( arguments.length > 0 ) {
        if ( typeof(EC_DEBUG) == 'boolean' && EC_DEBUG && typeof(console) == 'object' ){
          // join for graceful degregation
          var args = (arguments.length > 1) ? Array.prototype.join.call(arguments, " ") : arguments[0];
          // this is the standard; firebug and newer webkit browsers support this
          try {
            console.log(args);
            return true;
          } catch(e) {
            //newer opera browsers support posting erros to their consoles
            try {
              opera.postError(args);
              return true;
            } catch(e) { }
          }

          // catch all; a good old alert box
          if ( typeof(jQuery) == 'undefined' ) {
            alert(args);
          } else {
            //add div to document root
          }

          return false;
        }
    }
}

function ec_log_obj () {
    if ( arguments[0] ){
        //console.log(arguments[0]);
        for( var a in arguments[0] ){
            console.log(  a + ': ' + arguments[0][a] );
        }
    }
}

function ec_site_url(){
    if ( typeof(SITE_URL) == 'string' ){
        return ( SITE_URL.substring(0, 4) == 'http' ? '' : window.location.protocol + '//'  ) + SITE_URL;
    }else{
        return window.location.protocol + '//' + window.location.host;
    }
}

function is_jquery() {
    return !( typeof(jQuery) == 'undefined' );
}

function jQueryInit() {
    if ( !is_jquery() && ( typeof(jQueryInitFlag) == 'undefined' || !jQueryInitFlag ) ) {
        // jQuery is not loaded
        css_load(SCRIPT_URL + '/ui1.8/jquery-ui-1.8.custom.css');
        script_load(SCRIPT_URL + '/jquery/jquery-1.4.2.min.js');
        script_load(SCRIPT_URL + '/ui1.8/jquery-ui-1.8.1.all.min.js');

        jQueryInitFlag = true;
    }

    return true;
}

function template_render( template, object ){
    var html = jQuery(template).clone(false).removeClass('template').show().wrap('<div></div>');
    html = html.parent().html();

    var object2 = null;
    if ( html ){
        for ( var key in object ){
            //console.log('%'+ key + '% => ' + typeof(object[key]));
            if ( object[key] == null || typeof(object[key]) == 'string' || typeof(object[key]) == 'number' ) {
                //console.log(  key + ' => ' + object2[key2] );
                html = html.replace(new RegExp('\\{\\$'+ key + '\\}', 'g'), object[key] == null ? '' : object[key]);
                html = html.replace(new RegExp('%7B\\$'+ key + '%7D', 'g'), object[key] == null ? '' : object[key]);
            } else if ( typeof(object[key]) == 'object' ){
                object2 = object[key];

                for ( var key2 in object2 ){
                    if ( object2[key2] == null || typeof(object2[key2]) == 'string' || typeof(object2[key2]) == 'number' ){
                        //console.log(  key + '.'+key2 + ' => ' + object2[key2] );
                        html = html.replace(new RegExp('\\{\\$'+ key + '.'+key2+'\\}', 'g'), object2[key2] == null ? '' : object2[key2] );

                        html = html.replace(new RegExp('%7B\\$'+ key + '.'+key2+'%7D', 'g'), object2[key2] == null ? '' : object2[key2] );

                    }
                }
            }
        }
    }

    return html;
}

function punkt_odbioru_slug ( str ) {
    var znaki = {
        '' : 'a',
        '' : 'e',
        '' : 's',
        '' : 'c',
        '' : 'z',
        '' : 'z',
        '' : 'n',
        '' : 'o',
        '' : 'l',
        '' : 'A',
        '' : 'E',
        '' : 'S',
        '' : 'C',
        '' : 'Z',
        '' : 'Z',
        '' : 'N',
        '' : 'O',
        '' : 'L'
    }

    if ( typeof(str) == 'string' ) {
        str = str.replace(/^\s+/, '');
        str = str.replace(/\s+$/, '');
        str = str.toLowerCase();
        str = str.toLowerCase(/[ ]{2,}/, ' ');

        for( var z in znaki ){
            str = str.replace( z, znaki[z]);
        }
    } else {
        for( o in str ){
            str[o] = punkt_odbioru_slug(str[o]);
        }
    }

    return str;
}

/**************************************************************************************************/
var punkty_odbioru_pnotify = null;
function punkty_odbioru_message(body, type ){
    if ( typeof arguments[0] == 'object'){
        type = body.type;
        body = body.body;
    }

    var delay = (body.length / 5) * 800;  //czas wyswietlania w zaleznosci od dlugosic tekstu
    var title = (type == 'error')? 'Bd' : 'Informacja';
    if( !type ) type = 'notice';

    //console.log( 'print_message(' + body + ', ' + type + ')' );
    if ( punkty_odbioru_pnotify && punkty_odbioru_pnotify.pnotify_remove){
        punkty_odbioru_pnotify.opts.pnotify_animation = 'none';
        punkty_odbioru_pnotify.pnotify_remove();
    }

		punkty_odbioru_pnotify = jQuery.pnotify({
        pnotify_title: title,
        pnotify_type: type,
        pnotify_text: body,
        pnotify_hide: true,
        pnotify_delay: delay,
        pnotify_animation: 'fade'
    });
}


function punkty_odbioru_sposob_dostawy_onchage() {

    if ( PUNKT_ODBIORU_SP_DOST_ID > 0 && $punkt_odbioru ) {
        if ( PUNKT_ODBIORU_SP_DOST_ID == this.value ) {
            var adres = punkt_odbioru_get_adres();
            if ( adres ) {
                $punkt_odbioru.parents('tr').show();
            } else {
                $(this).val( 0);
            }
        } else {
            $punkt_odbioru.parents('tr').hide();

            punkt_odbioru_mapa_toogle( false );

        }
    }
}

function punkty_odbioru_init () {

    if ( typeof(punkty_odbioru_init_flag) == 'undefined' || !punkty_odbioru_init_flag ) {
        if ( !jQueryInit() ) return;

        if ( !is_jquery() ) {
            ec_log('setTimeout("punkty_odbioru_init()", 3000 );');
            setTimeout ("punkty_odbioru_init()", 3000 );
            return;
        }

        punkty_odbioru_init_flag = true;

        jQuery(function(){
            $punkt_odbioru = $('select[name=PUNKT_ODBIORU]');
            if( !$punkt_odbioru.length ){
                ec_log('brak elementu select[name=PUNKT_ODBIORU];');
                return;
            }

            $punkt_odbioru.change(punkt_odbioru_onchange);
            $punkt_odbioru.parents('tr').hide();

            $punkt_odbioru_map_canvas = $('#punkt_odbioru_googlemap_canvas');
            if ( $punkt_odbioru_map_canvas.length ){
                $punkt_odbioru_map_canvas.parents('tr').hide();
                jQuery('select[name=SPOSOB_DOSTAWY]').parents('tr').after($punkt_odbioru_map_canvas.parents('tr'));
            }

            jQuery('select[name=SPOSOB_DOSTAWY]').change(punkty_odbioru_sposob_dostawy_onchage).parents('tr').after($punkt_odbioru.parents('tr'));

            jQuery('select[name=ADRES_DOSTAWY]').change(punkt_odbioru_get_adres);
            jQuery('input[name=wysylka_miejscowosc]').change(punkt_odbioru_get_adres);
            jQuery('input[name=wysylka_kod_pocztowy]').change(punkt_odbioru_get_adres);
            jQuery('#punkty_odbioru_pokaz_wszystkie').click(punkty_odbioru_pokaz_wszystkie);

            if ( PUNKT_ODBIORU > 0 ){
                $punkt_odbioru.val(PUNKT_ODBIORU);
                jQuery('select[name=SPOSOB_DOSTAWY]').change();
            }
        });
    }

    return true;
}

function punkt_odbioru_get_adres( e ){

    if ( !(PUNKT_ODBIORU_SP_DOST_ID > 0) || PUNKT_ODBIORU_SP_DOST_ID != jQuery('select[name=SPOSOB_DOSTAWY]').val() ) {
        return false;
    }

    var adres = null;

    if ( jQuery('select[name=ADRES_DOSTAWY]').length > 0 ) {
        var adres_id = jQuery('select[name=ADRES_DOSTAWY]').val();

        //console.log(osoba_adresy);
        if ( typeof(osoba_adresy[adres_id]) == 'object' ) {
            adres = osoba_adresy[adres_id];
        }
    } else {
        osoba_adresy = null;

        var form_data = jQuery('form[name="zamowienie_form"] input' ).each(function(){
            if( $(this).attr('type') == 'checkbox' ){
                return {'name' : this.name, 'value' : (this.checked ? this.value : 0)}
            } else {
                return {'name' : this.name, 'value' : this.value}
            }
        });

        var form_adres = {};
        for( var i = 0; i < form_data.length ; i++ ){
            form_adres[form_data[i].name] = form_data[i].value;
        }

        var form2adres = {
            'id' : '',
            'wysylka_kod_pocztowy' : 'zipcode',
            'wysylka_miejscowosc' : 'place',
            'wysylka_adres' : 'address',
            'country' : 'Polska',
            'country_code' : 'PL',
            'building_number' : '',
            'apartment_number' : ''
        }

        adres = {};
        for ( var f in form2adres ) {
            if ( form2adres[f] ) {
                if ( typeof(form_adres[f]) == 'undefined' ) {
                    adres[f] = form2adres[f];
                } else {
                    adres[form2adres[f]] = form_adres[f];
                }
            } else {
                adres[form2adres[f]] = '';
            }
        }
    }

    if ( adres ) {
        var adres_slug = punkt_odbioru_slug(adres);
        if ( !adres_slug.place && !adres_slug.zipcode ) {

            try {
                if ( google.loader.ClientLocation.address.city ) {
                    adres.place = google.loader.ClientLocation.address.city;
                    adres.province = google.loader.ClientLocation.address.region;
                    adres.country = google.loader.ClientLocation.address.country;
                    adres.country_code = google.loader.ClientLocation.address.country_code;

                    if ( !jQuery('select[name=ADRES_DOSTAWY]').length  ) {
                        jQuery('input[name=wysylka_miejscowosc]').val(adres.place);
                    }
                } else {
                    adres = null;
                }
            }catch(err){
                adres = null;
            }
        }
    }

    if ( adres ) {
        punkty_odbioru_znajdz ( adres );
    } else if( !e ){
        if ( osoba_adresy ) {
            punkty_odbioru_message('Przed wybraniem punktu odbioru musisz wybra adres dostawy');
        } else {
            punkty_odbioru_message('Przed wybraniem punktu odbioru musisz wpisa adres dostawy');
        }
    }

    return adres;
}

function punkty_odbioru_znajdz ( adres ) {

    if ( punkty_odbioru && adres ) {
        var adres_slug = punkt_odbioru_slug(adres);

        if ( punkt_odbioru_adres ) {
            var punkt_odbioru_adres_slug = punkt_odbioru_slug(punkt_odbioru_adres);

            if ( (adres.id > 0 && adres.id == punkt_odbioru_adres.id) || ( adres_slug.place == punkt_odbioru_adres_slug.place && adres_slug.zipcode == punkt_odbioru_adres_slug.zipcode ) ){
                return;
            }
        }

        punkt_odbioru_adres = adres;

        var punkt = null;var opcje = {}, opcje_length = 0;

        var place = adres_slug.place;
        var zipcode = adres_slug.zipcode;
        var zipcode2 = zipcode.substring(0, 2);

        for ( var p in punkty_odbioru ){
            punkt = punkty_odbioru[p];

            if ( punkt_odbioru_slug(punkt.place) == place ) {
                opcje [p] = punkty_odbioru_opcje[p];
                opcje_length++;
            } else if( punkt.zipcode.substring(0, 2) == zipcode2 ){
                opcje [p] = punkty_odbioru_opcje[p];
                opcje_length++;
            }
        }
        //jesli z posta by wybrany jakis punkt odbioru
        if( PUNKT_ODBIORU > 0 ){
            if( typeof(opcje[PUNKT_ODBIORU]) == 'undefined' ){
                opcje [PUNKT_ODBIORU] = punkty_odbioru_opcje[PUNKT_ODBIORU];
                opcje_length++;
            }
            //resetuje aby za kadym razem nie dodwa
            PUNKT_ODBIORU = 0;
        }

        //ec_log_obj(opcje);
        var punkt_odbioru = $punkt_odbioru.val();

        $punkt_odbioru.children('option:gt(0)').remove();
        if ( opcje_length  > 0 ) {
            jQuery('#punkty_odbioru_pokaz_wszystkie').fadeOut();

            for( var o in opcje ){
                $punkt_odbioru.append('<option value="' + o + '">' + opcje[o] + '</option>');
            }

            if( punkt_odbioru ){
                $punkt_odbioru.val(punkt_odbioru);
            }
        } else {
            jQuery('#punkty_odbioru_pokaz_wszystkie').fadeIn();

            punkty_odbioru_message('Dla twojej miejscowosci nie znaleziono adnego punktu odbioru. Wywietl wszystkie dostpne punkty odbioru aby wybra punkt w pobliu twojego adresu.');
        }

        $punkt_odbioru.change();
    }
}

function punkty_odbioru_pokaz_wszystkie ( e ) {
    e.preventDefault();

    $punkt_odbioru.children('option:gt(0)').remove();

    for ( var o in punkty_odbioru_opcje ) {
        $punkt_odbioru.append('<option value="' + o + '">' + punkty_odbioru_opcje[o] + '</option>');
    }

    $punkt_odbioru.val(0);
    $punkt_odbioru.change();

    $(this).fadeOut();

    return false;
}

function punkty_odbioru_pokaz_pozostale ( e ) {

    var opcje = $punkt_odbioru.children('option:gt(0)').each(function(){
        return this.value;
    });

    var o, i, opcja;
    for ( o in punkty_odbioru_opcje ) {
        for( opcja = -1, i = 0 ; i < opcje.length ; i++ ){
            if( opcje[i] == o ){
                opcja = opcje[i];
                break;
            }
        }

        if ( opcja == -1 ){
            $punkt_odbioru.append('<option value="' + o + '">' + punkty_odbioru_opcje[o] + '</option>');
        }
    }
}

function punkt_odbioru_onchange() {
    if ( this.value == 'inne' ) {

    } else if ( this.value > 0 ) {
        $('#punkt_odbioru_pokaz_na_mapie').fadeIn().bind('click', punkt_odbioru_pokaz_na_mapie);
    } else {
        $('#punkt_odbioru_pokaz_na_mapie').fadeOut().unbind('click');
        punkt_odbioru_mapa_toogle( false );
    }
}

function punkt_odbioru_mapa_toogle (  ) {

    //console.log('punkt_odbioru_mapa_toogle('+arguments[0]+')');
    if ( $punkt_odbioru_map_canvas && $punkt_odbioru_map_canvas.length ){
        if ( arguments.length ) {
            if ( arguments[0] ) {
                if ( !$punkt_odbioru_map_canvas.is(':visible') ) {
                    //console.log('slideDown');
                    if( typeof(arguments[1]) == 'function' ){
                        $punkt_odbioru_map_canvas.parents('tr').slideDown( arguments[1] );
                    }else{
                        $punkt_odbioru_map_canvas.parents('tr').slideDown();
                    }
                }
            }else if( $punkt_odbioru_map_canvas.is(':visible') ) {
                //console.log('slideUp');
                $punkt_odbioru_map_canvas.parents('tr').slideUp();
            }
        } else if ( $punkt_odbioru_map_canvas.is(':visible') ) {
            $punkt_odbioru_map_canvas.parents('tr').slideUp();
        } else {
            $punkt_odbioru_map_canvas.parents('tr').slideDown();
        }
    }
}

function punkt_odbioru_google_map_init( callback ){
    //ec_log('punkt_odbioru_google_map_init');

    if ( (typeof(google) == 'undefined' || typeof(google.maps) == 'undefined') && ( typeof(punkt_odbioru_google_script) == 'undefined' || !punkt_odbioru_google_script )  ) {
        ec_log( 'Load google map' );
        var script = document.createElement("script");
        script.src = "http://maps.googleapis.com/maps/api/js?sensor=false&callback=" + callback;
        script.type = "text/javascript";
        document.body.appendChild(script);
        punkt_odbioru_google_script = true;

        return false;
    } else {
        //ec_log( 'GOOGLE MAP initialized, google: '+ typeof(google) + ', google.maps: ' + typeof(google.maps) );
    }

    if ( typeof(jQuery.ui) == 'undefined' ){
        // UI not loaded
        css_load(SCRIPT_URL + '/ui1.8/jquery-ui-1.8.custom.css');
        script_load(SCRIPT_URL +'/ui1.8/jquery-ui-1.8.1.all.min.js');
    }

    if ( !punkt_odbioru_google_map ) {
        var punkt_odbioru_map_canvas = null;

        if ( $punkt_odbioru_map_canvas && $punkt_odbioru_map_canvas.length ){
            punkt_odbioru_map_canvas = $punkt_odbioru_map_canvas[0];

            if ( typeof(callback) == 'function' ) {
                punkt_odbioru_mapa_toogle(true, function(){

                    punkt_odbioru_google_map = new google.maps.Map( punkt_odbioru_map_canvas );
                    callback();
                });

                return false;
            } else {
                punkt_odbioru_mapa_toogle(true);


            }
        } else if ( !$punkt_odbioru_dialog || !punkt_odbioru_google_map ) {
            if ( !$punkt_odbioru_dialog ) {
                punkt_odbioru_map_canvas = document.createElement('div');
                punkt_odbioru_map_canvas.id = 'punkt_odbioru_map_canvas';

                jQuery(punkt_odbioru_map_canvas).css({'width' : '640','height' : '480'});
                $punkt_odbioru_dialog = jQuery(document.createElement('div')).css({'width' : '100%','height' : '100%'}).attr('id', 'punkt_odbioru_dialog').append(punkt_odbioru_map_canvas);
                $punkt_odbioru_dialog.appendTo('body');

                var dialog_options = {
                    autoOpen: true,
                    draggable: true,
                    height: 480,
                    width: 640,
                    modal: false,
                    resizable: false,
                    title : ''
                }

                if ( typeof(callback) == 'function' ) {
                    dialog_options.open = function(){
                        punkt_odbioru_google_map = new google.maps.Map( punkt_odbioru_map_canvas );
                        callback();
                    }
                }

                $punkt_odbioru_dialog.dialog(dialog_options);

                if ( typeof(callback) == 'function' ) {
                    return false;
                }
            }
        }

        if ( typeof(callback) != 'function' ) {
            punkt_odbioru_google_map = new google.maps.Map( punkt_odbioru_map_canvas );
        }
    }

    //resetuje stare pooenie
    if ( punkt_odbioru_marker ) {
        punkt_odbioru_marker.setMap(null);
    }

    var punkt_odbioru_loc = new google.maps.LatLng(-34.397, 150.644);

    //ec_log_obj(punkt_odbioru_google_map);

    return true;
}

function punkt_odbioru_get(){

    if ( !$punkt_odbioru || !$punkt_odbioru.length ){
        ec_log('Punkty oodbioru nie s obsugiwane');
        return null;
    }

    if ( !$punkt_odbioru.val() ) {
        punkty_odbioru_message('Wybierz najpierw punkt odbioru zanim bdziesz mg pokaza jego lokalizacj na mapie');
        return null;
    }

    var punkt_odbioru_id = $punkt_odbioru.val()

    if ( typeof(punkty_odbioru[punkt_odbioru_id]) == 'undefined' ) {
        punkty_odbioru_message('Zosta wybrany niewaciwy punkt_odbioru');
        return null;
    }

    return punkty_odbioru[punkt_odbioru_id];
}

function punkt_odbioru_pokaz_na_mapie( e ){
    if ( e ) {
        e.preventDefault();
    }

    var punkt_odbioru = punkt_odbioru_get();
    if ( !punkt_odbioru ){
        return false;
    }

    if ( punkt_odbioru_google_map_init(punkt_odbioru_pokaz_na_mapie) ){
        punkt_odbioru_code_address( punkt_odbioru );
    }

    return false;
}

function punkt_odbioru_set_marker ( punkt_odbioru, results ) {

    //console.log(results);

//    map.setCenter(results[0].geometry.location);
//
//    var marker = new google.maps.Marker({
//        map: map,
//        position: results[0].geometry.location
//    });

    var punkt_odbioru_loc = results[0].geometry.location;

    punkt_odbioru_google_map.setOptions({
        zoom: 14,
        center: punkt_odbioru_loc,
        scaleControl: false,
        scrollwheel: false,
        mapTypeId: google.maps.MapTypeId.ROADMAP
    });


    punkt_odbioru_marker = new google.maps.Marker({
        position: punkt_odbioru_loc,
        map: punkt_odbioru_google_map,
        title: punkt_odbioru.place + ', ' + punkt_odbioru.street + ' ' + punkt_odbioru.building_number+ ' ' + punkt_odbioru.apartment_number
        //icon : ec_site_url() + IMAGES_URL + '/punkt-odbioru-marker.png'
    });


    var contentString = template_render( '#punkt_odbioru_mapa_opis', {'punkt_odbioru' : punkt_odbioru} );
    var infowindow = new google.maps.InfoWindow({
        content: contentString
    });

    google.maps.event.addListener(punkt_odbioru_marker, 'click', function() {
        infowindow.open(punkt_odbioru_google_map, punkt_odbioru_marker);
    });

    punkt_odbioru_google_map.setCenter(punkt_odbioru_loc);

    if ( $punkt_odbioru_map_canvas && $punkt_odbioru_map_canvas.length ){
        punkt_odbioru_mapa_toogle(true);
    } else {
        $punkt_odbioru_dialog.dialog('option', 'title', punkt_odbioru.full_name );
        $punkt_odbioru_dialog.dialog('open');
    }
}

function punkt_odbioru_code_address( punkt_odbioru ) {

    for ( var f in punkt_odbioru){
        if( punkt_odbioru[f] == 'null' || punkt_odbioru[f] == null )
            punkt_odbioru[f] = '';
    }

    var address = punkt_odbioru.street + ' ' + punkt_odbioru.building_number +  ( punkt_odbioru.apartment_number ? ' ' : '') +
        punkt_odbioru.apartment_number + ', ' + punkt_odbioru.place + ' ' + punkt_odbioru.zipcode;


    if ( !punkt_odbioru_geocoder ){
        //punkt_odbioru_geocoder = new GClientGeocoder();
        try{
            punkt_odbioru_geocoder = new google.maps.Geocoder();
        }catch( err ){
            punkt_odbioru_geocoder = null;

            jQuery.ajax({
                'url' : 'http://maps.googleapis.com/maps/api/geocode/json',
                'dataType' : 'html',
                'type' : 'get',
                'data' : {'address' : punkt_odbioru_slug(address), 'sensor' : 'false'},
                'success' : function( data ){
                    data = eval('(' + data + ')');

                    var results = data.results ? data.results : [];
                    var status = data.status ? data.status : '';

                    if ( status == 'OK' || results.length ) {
                        punkt_odbioru_set_marker(punkt_odbioru, results);
                    } else {
                        punkty_odbioru_message("Nie udao si ustali pooenia dla punktu odbioru. ");
                    }
                }
            });

            return false;
        }
    }

    //ec_log_obj(punkt_odbioru_geocoder);
    punkt_odbioru_geocoder.geocode( {'address': address}, function(results, status) {
        if ( status == google.maps.GeocoderStatus.OK ) {
            punkt_odbioru_set_marker(punkt_odbioru, results);
        } else {
            punkty_odbioru_message("Nie udao si ustali pooenia dla punktu odbioru. " + status);
        }
    });
}



function punkt_odbioru_pokaz_trase( e ){
    if ( e ) {
        e.preventDefault();
    }

    var punkt_odbioru = punkty_odbioru[punkt_odbioru_id];

    if( !punkt_odbioru ){
        return false;
    }

    if ( punkt_odbioru_google_map_init('punkt_odbioru_pokaz_trase') ){

    }

    return false;
}


punkty_odbioru_init();


