// JavaScript Document
/******************************************************************************/
var rabaty = [];
var rabat_num = -1;

var o_rabat_form_div = null;
var o_rabaty_div     = null;

function show_rabat_form(action, num ){

    if( action == 'edit' ){
        if( arguments.length == 1 ){
            if( rabat_num  < 0 ){
                alert('Kliknij dwa razy na rabat aby go edytowa lub zaznacz rabat i wcinij przycisk edycja.');
                return;
            }else{
                num = rabat_num;
            }
        }
    }else{
        if(arguments.length < 2 ){
            num = rabaty.length;
        }
    }


    try{
      showTlo();
    }catch(e){

    }

/******************************************************************************/

    var f = document.forms['rabat_form'];

    f.onsubmit = function(){
        rabat_add_edit();
        return false;
    }


    f.elements['num'].value = num;


    if( typeof(rabaty[num]) == 'object' ){
        f.elements['ID'].value = rabaty[num].ID;

        f.elements['CONTACT_NAZWA'].value = rabaty[num].CONTACT_NAZWA;
        f.elements['CONTACT_ID'].value = rabaty[num].CONTACT_ID;
        
        f.elements['NAZWA'].value = rabaty[num].NAZWA;
        f.elements['WARTOSC'].value = rabaty[num].WARTOSC;
        f.elements['CENA_OD'].value = rabaty[num].CENA_OD;
        f.elements['RABAT_ID'].value = rabaty[num].RABAT_ID;
        
        f.elements['PRODUCENT_ID'].value = rabaty[num].PRODUCENT_ID;
        f.elements['PRODUCENT_NAZWA'].value = rabaty[num].PRODUCENT_NAZWA;

        f.elements['GRUPAT_ID'].value= rabaty[num].GRUPAT_ID;
        f.elements['GRUPAT_NAZWA'].value= rabaty[num].GRUPAT_NAZWA;
    }

    if( !o_rabat_form_div ){
        o_rabat_form_div = document.getElementById('rabat_form_div');
    }

    center_both_obj( o_rabat_form_div )
/******************************************************************************/

}

function rabat_anuluj(){
    var f = document.forms['rabat_form'];

    f.elements['ID'].value = '';
    f.elements['num'].value = '';

    f.elements['NAZWA'].value = '';
    f.elements['CONTACT_ID'].value = '';

    f.elements['WARTOSC'].value = '';
    f.elements['CENA_OD'].value = '';

    f.elements['RABAT_ID'].selectedIndex = 0;
    f.elements['PRODUCENT_ID'].value = 0;
    f.elements['GRUPAT_ID'].value= 0;

    f.elements['PRODUCENT_NAZWA'].value = 0;
    f.elements['GRUPAT_NAZWA'].value= 0;

    hide_obj(o_rabat_form_div);

    try{
      hideTlo();
    }catch(e){}
}

function rabat_add_edit( f ){
    if( arguments.length == 0 || !f || !f.name ){
        f = document.forms['rabat_form'];
    }
    var ID = parseInt(f.elements['ID'].value );
    ID = isNaN(ID)?0:ID;

    var num = parseInt(f.elements['num'].value );
    if( isNaN(num) || num < 0 || num > rabaty.length ){
        num = 0;
    }

    var NAZWA = trim(f.elements['NAZWA'].value);

    
    

    var CONTACT_ID = parseInt(f.elements['CONTACT_ID'].value );
    CONTACT_ID = isNaN(CONTACT_ID)?0:CONTACT_ID;
    var CONTACT_NAZWA = trim(f.elements['CONTACT_NAZWA'].value);

    
    var WARTOSC = parseFloat(f.elements['WARTOSC'].value );
    WARTOSC = isNaN(WARTOSC)?0:WARTOSC;

    f.elements['CENA_OD'].value = '';
    var CENA_OD = parseFloat(f.elements['CENA_OD'].value );
    CENA_OD = isNaN(CENA_OD)?0:CENA_OD;


    var RABAT_ID    = f.elements['RABAT_ID'].value;
    var RABAT_NAZWA = f.elements['RABAT_ID'].options[f.elements['RABAT_ID'].options.selectedIndex].text;


    var PRODUCENT_ID = parseInt(f.elements['PRODUCENT_ID'].value );
    PRODUCENT_ID= isNaN(PRODUCENT_ID)?0:PRODUCENT_ID;
    var PRODUCENT_NAZWA = trim(f.elements['PRODUCENT_NAZWA'].value);
    
    
    var GRUPAT_ID = parseInt(f.elements['GRUPAT_ID'].value );
    GRUPAT_ID = isNaN(GRUPAT_ID)?0:GRUPAT_ID;
    var GRUPAT_NAZWA = trim(f.elements['GRUPAT_NAZWA'].value);


    rabaty[num] = {
      'ID' : ID,
      'NAZWA' : NAZWA,
      'CONTACT_ID' : CONTACT_ID,
      'CONTACT_NAZWA' : CONTACT_NAZWA,
        'WARTOSC' : WARTOSC,
        'CENA_OD' : CENA_OD,
        'RABAT_ID' : RABAT_ID,
        'RABAT_NAZWA'  : RABAT_NAZWA,
        'PRODUCENT_ID' : PRODUCENT_ID,
        'PRODUCENT_NAZWA'  : PRODUCENT_NAZWA,
        'GRUPAT_ID' : GRUPAT_ID,
        'GRUPAT_NAZWA' : GRUPAT_NAZWA,
      'zmieniony' : 1
    };

    rabaty_print();

    rabat_anuluj();
}

function rabaty_print(){
    //if( rabaty.length == 0) return;

    var i = 0;

    var str = '';
    str = '<table width=100% align="center" cellpadding=2 cellspacing=0 class="grid" id="rabaty_tab_grid">';
    str += '<tr>';
    str += '  <th align=center width=15>Lp.</th>';
    str += '  <th align=center width=150>Nazwa</th>';
    str += '  <th align=center width=100>Warto</th>';
    str += '  <th align=center width=100>Producent</th>';
    str += '  <th align=center width=100>Grupa</th>';
    str += '</tr>';

    for( i= 0; i < rabaty.length; i++ ){
        str += '<tr onclick="podswietl_wiersz(this); rabat_num = ' + i + '; " ondblclick="show_rabat_form( \'edit\', ' + i + ');" class="wiersz' + ( (i%2) + 1 ) + ((rabat_num == i)?' highlight':'')+'">';
        str += '    <td align=center width=15>' + i + '&nbsp;</div><input type="hidden" name="rabaty['+i+'][ID]" value="' + rabaty[i]['ID'] + '" ><input type="hidden" name="rabaty['+i+'][zmieniony]" value="' + rabaty[i]['zmieniony'] + '" ><input type="hidden" name="rabaty['+i+'][CONTACT_ID]" value="' + rabaty[i]['CONTACT_ID'] + '" ><input type="hidden" name="rabaty['+i+'][CONTACT_NAZWA]" value="' + rabaty[i]['CONTACT_NAZWA'] + '" ><input type="hidden" name="rabaty['+i+'][RABAT_ID]" value="' + rabaty[i]['RABAT_ID'] + '" ><input type="hidden" name="rabaty['+i+'][RABAT_NAZWA]" value="' + rabaty[i]['RABAT_NAZWA'] + '" ></td>';
        str += '    <td width=150>' + rabaty[i]['NAZWA'] + ' <input type="hidden" name="rabaty['+i+'][NAZWA]" value="' + rabaty[i]['NAZWA'] + '" ></td>';
        str += '    <td width=100>' + rabaty[i]['PRODUCENT_NAZWA'] + ' <input type="hidden" name="rabaty['+i+'][PRODUCENT_ID]" value="' + rabaty[i]['PRODUCENT_ID'] + '" > <input type="hidden" name="rabaty['+i+'][PRODUCENT_NAZWA]" value="' + rabaty[i]['PRODUCENT_NAZWA'] + '" ></td>';
        str += '    <td align=center width=100>' + rabaty[i]['GRUPAT_NAZWA'] + ' <input type="hidden" name="rabaty['+i+'][GRUPAT_ID]" value="' + rabaty[i]['GRUPAT_ID'] + '" > <input type="hidden" name="rabaty['+i+'][GRUPAT_NAZWA]" value="' + rabaty[i]['GRUPAT_NAZWA'] + '" ></td>';
        str += '</tr>';
    }
    
    str += '</table>\n';

    if( !o_rabaty_div ){
        o_rabaty_div = document.getElementById('rabaty_div');
    }

    o_rabaty_div.innerHTML = str;

    if( rabat_num >= 0){
        //to do podwietlania
        var rows = o_rabaty_div.getElementsByTagName('TR');
        //zaznaczam wiersz zeby potem mc go zgasi
        old_row = rows[rabat_num + 1];
    }
}

function rabat_delete( num ){
    if( arguments.length == 0 ){
        num = rabat_num;
        rabat_num = -1;
        if( num <  0){
            alert('Kliknij najpierw na rabat, a nastepnie wcinij przycisk usu.');
            return;
        }
    }

    rabaty.splice(num,1);

    rabaty_print();
}

/******************************************************************************/

function rabat_update_producent( id, short_name ){
    document.forms['rabat_form'].PRODUCENT_ID.value = id;
    document.forms['rabat_update_producent_form'].PRODUCENT_NAZWA.value = short_name;

    return true;
}

