
/******************************************************************************/
/****                                Tables                                ****/
/******************************************************************************/



CREATE TABLE WWW_BANERY_WEJSCIA (
    BANER_ID    INTEGER NOT NULL,
    WEJSCIE_ID  INTEGER NOT NULL,
    KLIKNIECIA  INTEGER,
    ODSLONY     INTEGER DEFAULT               0
);




/******************************************************************************/
/****                             Primary Keys                             ****/
/******************************************************************************/

ALTER TABLE WWW_BANERY_WEJSCIA ADD CONSTRAINT PK_WWW_BANERY_WEJSCIA_PK PRIMARY KEY (BANER_ID, WEJSCIE_ID);


/******************************************************************************/
/****                              Privileges                              ****/
/******************************************************************************/


/* Privileges of roles */
GRANT ALL ON WWW_BANERY_WEJSCIA TO WWW_ROLE;
