// JavaScript Document
//tablica
var koszykXmlHttpRequest = createXmlHttpRequestObject();
var PHPSESSID = '';


function do_koszyka(towar_id, ilosc ){
    sztuki = ilosc;
    if( arguments.length == 2 ){
        if( !document.forms['towar2kosz']['do_koszyka['+towar_id+']'] ){
            print_message("Ilo dodawanego towaru musi by liczb.","error");
            return false;
        }
        
        ilosc = parseFloat(document.forms['towar2kosz']['do_koszyka['+towar_id+']'].value.replace(',', '.') );

        if( isNaN(ilosc) ){
            print_message('Ilo dodawanego towaru musi by liczb.',"error");
            return false;
        }

        if( ilosc <= 0 ){
            print_message('Ilo dodawanego towaru musi by wiksza od 0.',"error");
            return false;
        }
    }


    //jesli AJAX dziaa no to bedzie dodawanie bez przeadowania
    if( koszykXmlHttpRequest ){
        try
        {
          /* jeli obiekt XMLHttpRequest nie jest zajty obsug poprzedniego dnia... */
          if ( koszykXmlHttpRequest.readyState == 4 || koszykXmlHttpRequest.readyState == 0 ){
            koszykXmlHttpRequest.open("GET", MAIN_URL + '?action=koszyk&mode=dodaj&ajax=1&ID=' + towar_id + '&SZT=' + ilosc, true);
            koszykXmlHttpRequest.onreadystatechange = handleKoszykResponse;
            koszykXmlHttpRequest.send(null);
          }else{// jeli jest zajty...
            // ponawia prb po 0.5 sekundy
            setTimeout( function(){do_koszyka(towar_id,  ilosc);}, 500);
          }
        }catch(e){
          //alert("Nie mog poczy si z serwerem:\n" + e.toString());
          window.location = MAIN_URL + '?action=koszyk&mode=dodaj&ID=' + towar_id + '&SZT=' + ilosc;
        }
    }else{
        //w przciwnym razie zmieniamy adres przegladarki
        window.location = MAIN_URL + '?action=koszyk&mode=dodaj&ID=' + towar_id + '&SZT=' + ilosc;
    }
}
// dodawanie dla towarShow i towarAjaxShow
function do_koszyka_show(towar_id, ilosc ){
    sztuki = ilosc;
    if( arguments.length != 2 ){
	     if( !document.forms['towar2kosz']['ID'] ){
            print_message("Wybierz towar.","error");
            return false;
        }
		towar_id = parseInt(document.forms['towar2kosz']['ID'].value.replace(',', '.') );
	
        if( !document.forms['towar2kosz']['SZT'] ){
            print_message("Ilo dodawanego towaru musi by liczb.","error");
            return false;
        }
        
        ilosc = parseFloat(document.forms['towar2kosz']['SZT'].value.replace(',', '.') );

        if( isNaN(ilosc) ){
            print_message('Ilo dodawanego towaru musi by liczb.',"error");
            return false;
        }

        if( ilosc <= 0 ){
            print_message('Ilo dodawanego towaru musi by wiksza od 0.',"error");
            return false;
        }
    }


    //jesli AJAX dziaa no to bedzie dodawanie bez przeadowania
    if( koszykXmlHttpRequest ){
        try
        {
          /* jeli obiekt XMLHttpRequest nie jest zajty obsug poprzedniego dnia... */
          if ( koszykXmlHttpRequest.readyState == 4 || koszykXmlHttpRequest.readyState == 0 ){
            koszykXmlHttpRequest.open("GET", MAIN_URL + '?action=koszyk&mode=dodaj&ajax=1&ID=' + towar_id + '&SZT=' + ilosc, true);
            koszykXmlHttpRequest.onreadystatechange = handleKoszykResponse;
            koszykXmlHttpRequest.send(null);
          }else{// jeli jest zajty...
            // ponawia prb po 0.5 sekundy
            setTimeout( function(){do_koszyka(towar_id,  ilosc);}, 500);
          }
        }catch(e){
          //alert("Nie mog poczy si z serwerem:\n" + e.toString());
          window.location = MAIN_URL + '?action=koszyk&mode=dodaj&ID=' + towar_id + '&SZT=' + ilosc;
        }
    }else{
        //w przciwnym razie zmieniamy adres przegladarki
        window.location = MAIN_URL + '?action=koszyk&mode=dodaj&ID=' + towar_id + '&SZT=' + ilosc;
    }
}

function do_koszyka1(towar_id, ilosc ){

    if(arguments.length == 1 ) ilosc = 1;
    
    do_koszyka(towar_id, null, ilosc );
}


function handleKoszykResponse(){
  //po ukoczeniu procesu, decyduje co zrobi z otrzymanymi danymi
  if (koszykXmlHttpRequest.readyState == 4)
  {
    // tylko jeli status dania HTTP jest "OK"
    if ( koszykXmlHttpRequest.status == 200)
    {
      try{
        // przetwarza odpowied serwera
        // pobiera element dokumentu
        var xmlRoot = koszykXmlHttpRequest.responseXML.documentElement;
        var response = xmlRoot.getElementsByTagName('odpowiedz').item(0);
        
        var dodano = parseInt(response.getAttribute('dodano'));
        var towar_nazwa = response.getAttribute('nazwa');
        
        if(dodano > 0){
            var lp = parseInt(response.getAttribute('liczba_poz'));
            var wn = parseFloat(response.getAttribute('wartosc_netto'));
            var wb = parseFloat(response.getAttribute('wartosc_brutto'));
            var wn_po_rabacie = parseFloat(response.getAttribute('wartosc_netto_po_rabacie'));
            var wb_po_rabacie = parseFloat(response.getAttribute('wartosc_brutto_po_rabacie'));

            //aktualizuje stan koszyka
            update_stan_koszyka(lp, wn, wb, wn_po_rabacie, wb_po_rabacie);

            print_message('Towar: <b>' + towar_nazwa + '</b> dodano do koszyka!');
      
        }else{
            var blad = response.getAttribute('error');
             print_message('Nie dodano towaru do koszyka! \n' + blad,"error");
        }
        
      }catch(e){
          // wywietla komunikat o bdzie
          print_message( e.toString(),"error" );
      }
    }else{
        print_message("Wystpi problem podczas pobierania danych:\n" + koszykXmlHttpRequest.statusText, "error");
    }
  }

}

function update_stan_koszyka(liczba_poz, wartosc_netto, wartosc_brutto, wartosc_netto_po_rabacie, wartosc_brutto_po_rabacie){
 //zmienione na wyszukiwanie po klasie a nie id, eby aktualizowa w kilku miejscach w szablonie (np hover w glownym menu w szablonie domyslnym)
  var lp_el = $('.koszyk_liczba_poz');
  if( !lp_el ){
    //alert('Nie znalazeem elementu koszyk_liczba_poz');
    return false;
  }
  //pozostaych elementw nie sprawdzam poniewaz jesli nie ma pierwszego to
  //koszyk_wartosc_netto i koszyk_wartosc_brutto nie wystapia, bo albo nie dziaa
  //metod dokumentu getElementById albo nie ma ich w dokumencie
  var wn_el = $('.koszyk_wartosc_netto');
  var wb_el = $('.koszyk_wartosc_brutto');
  var wn_el_po_rabacie = $('.koszyk_wartosc_netto_po_rabacie');
  var wb_el_po_rabacie = $('.koszyk_wartosc_brutto_po_rabacie');

  liczba_poz = parseInt(liczba_poz);

  lp_el.html(liczba_poz);
  if( wn_el ) wn_el.html(currency_format( wartosc_netto ));
  if( wb_el ) wb_el.html(currency_format( wartosc_brutto ));
  if( wn_el_po_rabacie) wn_el_po_rabacie.html(currency_format( wartosc_netto_po_rabacie ));
  if( wb_el_po_rabacie) wb_el_po_rabacie.html(currency_format( wartosc_brutto_po_rabacie ));
}



var o_koszyk_load_div = null;
var o_koszyk_save_div = null;

function show_koszyk_save_form(){

    showTlo();

    if( !o_koszyk_save_div ) o_koszyk_save_div = document.getElementById('koszyk_save_div');

    center_both_obj(o_koszyk_save_div);

    var f = document.forms['koszyk_save_form'];
    
    //f.koszyk_nazwa.focus();

}


function anuluj_koszyk_save_form(){
    var f = document.forms['koszyk_save_form'];
    
    hide_obj(o_koszyk_save_div);

    hideTlo();
}

function koszyk_save_form_check(o_form){
    if( arguments.length == 0 ){
        o_form = document.forms['koszyk_save_form'];
    }
    
    if( !( parseInt(o_form.koszyk_id.value) > 0) && o_form.koszyk_nazwa.value == '' ){
        print_message('Wpisz nazw pod ktr ma zosta zapisana zawrto koszyka lub wybierz ju istniejcy koszyk!',"error");
        return false;
    }

    return true;
    
}



function show_koszyk_load_form(){

    showTlo();

    if( !o_koszyk_load_div ) o_koszyk_load_div = document.getElementById('koszyk_load_div');

    center_both_obj(o_koszyk_load_div);

    var f = document.forms['koszyk_load_form'];

}


function anuluj_koszyk_load_form(){

    var f = document.forms['koszyk_load_form'];

    hide_obj(o_koszyk_load_div);

    hideTlo();
}

function koszyk_load_form_check(o_form){
    if( arguments.length == 0 ){
        o_form = document.forms['koszyk_load_form'];
    }

    if( !(o_form.koszyk_id.value > 0)  ){
        print_message('Wybierz koszyk ktrego zawarto chcesz wczyta!',"error");
        return false;
    }

    return true;
}

function koszyk_ondelete(){
    var o_form = document.forms['koszyk_load_form'];

    if( o_form.koszyk_id.value > 0 ){
        if(confirm('Potwierd usuwanie koszyka'))
            window.location = MAIN_URL + '?action=koszyk&mode=delete&koszyk_id='+o_form.koszyk_id.value;
    }else{
      print_message('Wybierz koszyk ktry chcesz usun!',"error");
    }
}



function do_koszyka_onkeydown( event ){
    event = (!event) ? window.event : event;
    
    var code = (event.charCode) ? event.charCode :((event.keyCode) ? event.keyCode :((event.which) ? event.which : 0));

    var towar_id = 0;
    
    
    if( code == 13 ){
        if( typeof(DO_KOSZYKA_MULTI) != 'undefined' && DO_KOSZYKA_MULTI == 1){
            //jeszcze robie sprawdzenie
            var o_input = null;
            var o_form = this.form;
            var ile = 0;
            for( var i = 0; i < o_form.elements.length; i++  ){
                o_input = o_form.elements[i];
                
                if( typeof(o_input) == 'object' && o_input.name.match(/^do_koszyka\[([0-9]+)\]$/) ){
                    if( o_input.value > 0 ){
                        ile++;
                    }
                }
            }

            if( ile > 1 ){
                o_form.submit();
                return true;
            }
        }
        
        var a_found = null;
        
        a_found = this.name.match(/^do_koszyka\[([0-9]+)\]$/);
        
        towar_id = parseInt(a_found[1]);
        
        do_koszyka(towar_id, 0);
    }
}

function register_do_koszyka_onkeydown(){
    var o_form = document.forms['towary'];
    
    if( o_form ){
        var o_input = null;
        var ile = 0;
        for( var i = 0; i < o_form.elements.length; i++  ){
            o_input = o_form.elements[i];

            if( typeof(o_input) == 'object' && o_input.name.match(/^do_koszyka\[([0-9]+)\]$/) ){
                o_input.onkeydown = do_koszyka_onkeydown;
            }
        }
    }
}



add_event( 'load', window , register_do_koszyka_onkeydown);
